GNU bug report logs - #47593
[PATCH 0/6] *** Add Python Abjad v3.3 ***

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: BonfaceKilz <me@HIDDEN>; Keywords: patch; dated Sun, 4 Apr 2021 12:17:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 14 Apr 2021 15:20:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 14 11:20:20 2021
Received: from localhost ([127.0.0.1]:35542 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWhJJ-0007B6-87
	for submit <at> debbugs.gnu.org; Wed, 14 Apr 2021 11:20:20 -0400
Received: from flashner.co.il ([178.62.234.194]:60828)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1lWhJG-0007AS-Vh
 for 47593 <at> debbugs.gnu.org; Wed, 14 Apr 2021 11:20:08 -0400
Received: from localhost (unknown [31.210.177.71])
 by flashner.co.il (Postfix) with ESMTPSA id 10DE3406C4;
 Wed, 14 Apr 2021 15:20:00 +0000 (UTC)
Date: Wed, 14 Apr 2021 18:19:16 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: "Bonface Munyoki K." <me@HIDDEN>
Subject: Re: [bug#47593] [PATCH 6/6] gnu: python-xyz: Add python-abjad.
Message-ID: <YHcH9OzhgpJBWhVT@3900XT>
Mail-Followup-To: Efraim Flashner <efraim@HIDDEN>,
 "Bonface Munyoki K." <me@HIDDEN>, 47593 <at> debbugs.gnu.org,
 jgart@HIDDEN
References: <20210404122005.33127-1-me@HIDDEN>
 <20210404122005.33127-7-me@HIDDEN>
 <YHWZSBWjs8Xq/8/U@3900XT> <867dl5oq68.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="4tQk1EnMec7MDx+N"
Content-Disposition: inline
In-Reply-To: <867dl5oq68.fsf@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: 47593 <at> debbugs.gnu.org, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--4tQk1EnMec7MDx+N
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, Apr 14, 2021 at 12:00:47AM +0300, Bonface Munyoki K. wrote:
> Efraim Flashner <efraim@HIDDEN> writes:
>=20
> > I would put this in music.scm near lilypond.
> >
>=20
> Makes sense.
>=20
> [...]
> >
> > If this is a package that would be installed then you can change the
> > name to abjad, no need to keep the python prefix.
> >
>=20
> I don't quite get this. Do you mean a package that
> would be installed and run as some executable as
> opposed to a library?

The first package I can think of is offlineimap. 'guix import pypi
offlineimap' tries to name it python-offlineimap, but it's more likely
to be used as an actual executable rather than as a library for another
package, so we rename it back to offlineimap and put the python packages
which would have normally been in propagated-inputs in inputs instead.

> >> +(define-public python-abjad
> >> +  (package
> >> +    (name "python-abjad")
> >> +    (version "3.3")
> >> +    (source
> >> +     (origin
> >> +       (method url-fetch)
> >> +       (uri
> >> +        (string-append
> >> +         "https://github.com/Abjad/abjad/archive/refs/tags/v"
> >> +         version ".tar.gz"))
> >
> > This should be a pypi URI or be downloaded using git-fetch
> >
> Noted.
>=20
> >> +       (sha256
> >> +        (base32
> >> +         "0dvj40g8kq1jdp09gb2chxxb7959vxv5h4m8ywg4qigsw3f11xnx"))))
> >> +    (build-system python-build-system)
> >> +    (arguments
> >> +     `(#:phases
> >> +       (modify-phases %standard-phases
> >> +         (add-after 'unpack 'patch-source
> >> +           (lambda _
> >> +             (substitute* "setup.py"
> >> +               (("uqbar>=3D0.4.4, <0.5.0") "uqbar>=3D0.4.4, <=3D0.5.1=
")
> >
> > I would just take off the <0.5.0 and not try to make it just high enough
> > to include the version packaged.
> >
> Makes sense!
> >> +               (("pytest>=3D5.4.3") "pytest>=3D5.3"))
> >
> > We also have pytest-6. Of course this is also fine.
> >
> Sure!
> >> +             #t))
> >> +         (replace 'check
> >> +           (lambda _
> >
> > (lambda* (#:key tests? #:allow-other-keys)
> >   (when tests?
> >
> Noted.
> >> +             ;; See: https://stackoverflow.com/a/34140498
> >> +             (invoke "python" "-m" "pytest" "tests")
> >> +             #t)))))
> >
> > I'm sure that not all of these need to be propagated. The source should
> > be patched to refer to lilypond and I'm guessing most of the rest can
> > either be inputs (they'll get wrapped with the python wrapper) or
> > native-inputs if they're only needed for tests.
> >
>=20
> Makes a lot of sense!
>=20
> >> +    (propagated-inputs
> >> +     `(("lilypond" ,lilypond) ;; Required for tests to pass!
> >> +       ("python-black" ,python-black)
> >> +       ("python-flake8" ,python-flake8)
> >> +       ("python-isort" ,python-isort)
> >> +       ("python-mypy" ,python-mypy)
> >> +       ("python-ply" ,python-ply)
> >> +       ("python-pytest" ,python-pytest)
> >> +       ("python-pytest-cov" ,python-pytest-cov)
> >> +       ("python-quicktions" ,python-quicktions)
> >> +       ("python-roman" ,python-roman)
> >> +       ("python-six" ,python-six)
> >> +       ("python-sphinx-autodoc-typehints"
> >> +        ,python-sphinx-autodoc-typehints)
> >> +       ("python-uqbar" ,python-uqbar)))
> >> +    (home-page "https://abjad.github.io")
> >> +    (synopsis
> >> +     "Abjad is a Python API for building LilyPond files.")
> >
> > I'd shorten this to "Python API for building LilyPind files"
> >
>=20
> Thanks for the suggestions!
>=20
> >> +    (description
> >> +     "Abjad is a Python API for building LilyPond files.")
> >> +    (license license:expat)))
> >> --=20
> >> 2.31.0
> >>=20
> >>=20
> >>=20
> >>=20
>=20
> --=20
> Bonface M. K. D4F09EB110177E03C28E2FE1F5BBAE1E0392253F
> Humble GNU Emacs User / Bearer of scheme-y parens
> Curator: <https://upbookclub.com> / Twitter: @BonfaceKilz



--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--4tQk1EnMec7MDx+N
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmB3B/MACgkQQarn3Mo9
g1Ffng/8CdEC6nYnOnA/pMO2nnPHkgzEWeE3guXQMXNzWfGpX9Glb/ZFuXl2B72D
fkugxhOpPyyfPKwDUeuFe12M3F7q+tRQDrfE7p/9myyOQpbfJ5g/Wr2CfhiMnQXZ
c8CXDtfuHrH0dSRBi6e1/NbyCqo+ITDlwNPD7pzTOm1Jb/eQMzDduJDOT+qJNgpe
DmWvPcc+6iCX3fyen2kZYvl22bT2tJIjVyoDokr3rS6/cU2W55/BHbrL/w8OeXK3
8hP0XRJ9UpfAg8Hw/ZIAnpR17kHve1IfVBW0drTeGv1eAzqSTkEPrmESy3tLbYps
VFKtaZjhc2Oe52iVnxYhJq/SUHEn6CJgxhlGalwrAR84rEwwJlxa8FaQfCh7DDQS
6Yi6ShdqECW+2h4ZagB3XJsrGU/DEywO+MlIaFmaayKr5O+V50bEsMxtbhUMnGLG
BIBe2Vfrg+VsSyYhEc4rMLT/+XgvEHTNA14MnSQxVUCcZwUYXBdZdtzdUWML4IPT
WSNCpsXuiCrp44qd+YS31y5L0xag2io7Pt7+9qoc5CiUDuJ0GgGJMSc5lREG/ayk
Lc+xWVtIzfweovXbqOJbw9U5i1901AZ7ITuDCEHckPFnKiFrks+yXMrc0V2ee32d
JTQXVEPRc/RLQW7Q9/W+JEoIGHmAyDArNwKpu8le8WC659MOgJg=
=LtUW
-----END PGP SIGNATURE-----

--4tQk1EnMec7MDx+N--




Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 14 Apr 2021 15:18:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 14 11:18:13 2021
Received: from localhost ([127.0.0.1]:35534 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWhHR-00077X-CY
	for submit <at> debbugs.gnu.org; Wed, 14 Apr 2021 11:18:13 -0400
Received: from flashner.co.il ([178.62.234.194]:60812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1lWhHO-00077G-TN
 for 47593 <at> debbugs.gnu.org; Wed, 14 Apr 2021 11:18:11 -0400
Received: from localhost (unknown [31.210.177.71])
 by flashner.co.il (Postfix) with ESMTPSA id 1819C406C4;
 Wed, 14 Apr 2021 15:18:05 +0000 (UTC)
Date: Wed, 14 Apr 2021 18:17:20 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: "Bonface Munyoki K." <me@HIDDEN>
Subject: Re: [bug#47593] [PATCH 5/6] gnu: python-xyz: Add python-quicktions.
Message-ID: <YHcHgJ4wWH6332CA@3900XT>
Mail-Followup-To: Efraim Flashner <efraim@HIDDEN>,
 "Bonface Munyoki K." <me@HIDDEN>, 47593 <at> debbugs.gnu.org,
 jgart@HIDDEN
References: <20210404122005.33127-1-me@HIDDEN>
 <20210404122005.33127-6-me@HIDDEN>
 <YHWZQf+xdb0BXp4e@3900XT> <8635vtopq0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="dWTrpDJ2d90fHKyF"
Content-Disposition: inline
In-Reply-To: <8635vtopq0.fsf@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: 47593 <at> debbugs.gnu.org, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--dWTrpDJ2d90fHKyF
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, Apr 14, 2021 at 12:10:31AM +0300, Bonface Munyoki K. wrote:
> Efraim Flashner <efraim@HIDDEN> writes:
>=20
> > On Sun, Apr 04, 2021 at 03:20:04PM +0300, BonfaceKilz wrote:
> >> * gnu/packages/python-xyz.scm (python-quicktions): New variable.
> >>=20
> >> Co-authored-by: jgart <jgart@HIDDEN>
> >> ---
> [..]
> >> +    (synopsis
> >> +     "Fast fractions data type for rational numbers. Cythonized versi=
on of 'fractions.Fraction'.")
> >
> > I'd trim this to 'Fast fractions data type for rational numbers'
> >
>=20
> Noted.
>=20
> >> +    (description
> >> + "Fast fractions data type for rational
> >> numbers. Cythonized version of
> >> 'fractions.Fraction'.")
> >
> > And this I'd change to 'This package provides fast fractions data type
> > for rational numbers.  It is the cythonized version of
> > @quote{fractions.Fraction}.'
> >
>=20
> Makes sense. What's the "@quote{}" syntax. Where
> would I get more of the documentation of the
> syntax to put in the description?
>=20

Looks like @quote isn't actually one that we're using. I must've been
thinking of @code.

I know it's from texinfo but beyond that I'm not really sure. I normally
just copy what's available from other packages.

> >> +    (license license:psfl)))
> >> --=20
> >> 2.31.0
> >>=20
> >
> > Speaking of cython, you should add a snippet to the source to remove any
> > cythionized source and make sure those files get rebuilt during the
> > build phase. Looking at setup.py it looks like you should remove
> > src/quictions.c and I think it tries to cythonize automatically.
>=20
> For anyone reading this(in future), the cythonized
> .pyx files can stop matching CPython APIs across
> Python versions. An example of that here:
> https://github.com/slaypni/fastdtw/pull/40
>=20
> --=20
> Bonface M. K. D4F09EB110177E03C28E2FE1F5BBAE1E0392253F
> Humble GNU Emacs User / Bearer of scheme-y parens
> Curator: <https://upbookclub.com> / Twitter: @BonfaceKilz



--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--dWTrpDJ2d90fHKyF
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmB3B38ACgkQQarn3Mo9
g1EZGg/9ES2bzd+/xFfTWsqzLVu1NgEVaFEQCUlRo8fZ25Uugkf8r9wLgRJ2S/LN
sN0CDEEF0S7+MVKA6yvlW/GJxl9dD9HL3mgqJf4CMjaW10hnmYSEsjaDuL2mQ3Tq
Mzf2XxCm/6x9GzbHXorl22L9mpVtOj2nkt59IifEeufurp3LV1/3gSBdh95uXj7f
o07WzOCliSZOnQrYeB9Jx/u6ZFeT0YBxo/jMnLGbU1/6E7IyQB642pdC8RK6YAfS
urwc/bdg3DYeGK07HukUGBOnNYo50cdeUUIKdnPaiaXab24gWRXCe7N1zM12wKPU
x2LYsLrKrjoyS1pwkcojAnPf+bpOYMsQSx78FPpTEuF8AmdQd2BzJwHQss5CJJBT
Z1zpj34HKAzrGc2uwZrZMDVQgCPAkbS0ZsrDdqGLR7TeRbah2/3w84+P0zOs2XOG
QGrWCzXouPfn8v3JeuAPdCi3B2mbrMFN7T3hT6bVkWFvhJMioJG/wNDIYeyQzfzy
Bybf5oHKQH7ZUsKiW3m3ltw1qZEshWvPMj5B6CljHll67QQasO6wsqr/993yrfly
V2PwT0WDekZzbuZ26YzPcGcmLZe5XJdLI+fiEvMI5ewDNMzq5MXoZmAxYpjpp+dG
q13b3wMNJGysXL5LjDkqmMvST/npUu+ryi7EDdMisDEN9YqmFjw=
=GCRR
-----END PGP SIGNATURE-----

--dWTrpDJ2d90fHKyF--




Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 14 Apr 2021 15:15:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 14 11:15:55 2021
Received: from localhost ([127.0.0.1]:35530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWhFC-0005kc-QI
	for submit <at> debbugs.gnu.org; Wed, 14 Apr 2021 11:15:55 -0400
Received: from flashner.co.il ([178.62.234.194]:60800)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1lWhF8-0005c7-R6
 for 47593 <at> debbugs.gnu.org; Wed, 14 Apr 2021 11:15:53 -0400
Received: from localhost (unknown [31.210.177.71])
 by flashner.co.il (Postfix) with ESMTPSA id 542C7406C4;
 Wed, 14 Apr 2021 15:15:42 +0000 (UTC)
Date: Wed, 14 Apr 2021 18:14:56 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: "Bonface Munyoki K." <me@HIDDEN>
Subject: Re: [bug#47593] [PATCH 3/6] gnu: python-xyz: Add python-uqbar.
Message-ID: <YHcG8P1t8rNX9igY@3900XT>
Mail-Followup-To: Efraim Flashner <efraim@HIDDEN>,
 "Bonface Munyoki K." <me@HIDDEN>, 47593 <at> debbugs.gnu.org,
 jgart@HIDDEN
References: <20210404122005.33127-1-me@HIDDEN>
 <20210404122005.33127-4-me@HIDDEN>
 <YHWZNENNZY3ih7P7@3900XT> <86fsztoqkg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="znoDBA4DkUZqQdX9"
Content-Disposition: inline
In-Reply-To: <86fsztoqkg.fsf@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: 47593 <at> debbugs.gnu.org, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--znoDBA4DkUZqQdX9
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Apr 13, 2021 at 11:52:15PM +0300, Bonface Munyoki K. wrote:
> Efraim Flashner <efraim@HIDDEN> writes:
>=20
> > I haven't tried building this package yet. The sphinx packages are in
> > sphinx.scm and the graphviz packages are in graphviz.scm. I think I
> > would put it in graphviz.
> >
>=20
> Now that you've pointed it out, I see it! That
> makes sense.
>=20
> [...]
>=20
> > guix lint should've caught this.
>=20
> I seem to have skipped doing this. I need to find
> a way to integrating "guix lint" to my Emacs
> workflow since I seem to always somehow forget to
> do this.
>=20
> > If the pypi version from 'guix import
> > ppyi uqbar' doesn't work for building then you should use git-fetch to
> > download the source. The github archive URLs tend to get regenerated
> > from time to time.
>=20
> I went with the GitHub version since the pypi version
> doesn't have tests. So in such cases, is it still
> preferable to use the pypi version?

In that case the git version is normally preferable so we can actually
run the tests, but it should use git-fetch to download the sources.

> >> +       (sha256
> >> +        (base32
> >> +         "02kfvwh94ca0y3hsfrc071ga3g3vqflhyv4w4hif34dyj2skvpa8"))))
> >> +    (build-system python-build-system)
> >> +    (arguments
> >> +     `(#:phases
> >> +       (modify-phases %standard-phases
> >> +         (add-after 'unpack 'patch
> >> +           (lambda _
> >> +             (substitute* "setup.py"
> >> +               ;; Latest versions of sphink-rtd-theme require npm to =
build.
> >> +               (("sphinx-rtd-theme >=3D 0.4.0") "sphinx-rtd-theme >=
=3D 0.2.4")
> >> +               (("black =3D=3D 19.10b0") "black >=3D 19.10b0"))
> >> +             #t))
> >> +         (replace 'check
> >> +           (lambda _
> >> +             (invoke "python" "-m" "pytest" "tests")
> >
> > We want the ability to skip the tests, so this should be
> > (lambda* (#:key tests? #:allow-other-keys)
> >   (when tests?
> >     (invoke ...
> >
>=20
> Never knew this! Learnt something new. Thanks!
>=20
> >> +             #t)))))
> >> +    (propagated-inputs
> >> +     `(("graphviz" ,graphviz)
> >
> > Is it possible to substitute the actual calls to the graphviz binaries
> > in the package?
>=20
> Not really. However...
>=20
> > We don't want to have to propagate non-python packages.
> >
>=20
> ... We could add the graphviz to native
> inputs since it's only required at build-time when
> running one of the tests.
>=20
> >> +       ("python-black" ,python-black)
> >> +       ("python-sphinx" ,python-sphinx)
> >> +       ("python-sphinx-rtd-theme"
> >> +        ,python-sphinx-rtd-theme)
> >> +       ("python-unidecode" ,python-unidecode)))
> >> +    (native-inputs
> >> +     `(("python-flake8" ,python-flake8)
> >> +       ("python-isort" ,python-isort)
> >> +       ("python-mypy" ,python-mypy)
> >> +       ("python-pytest" ,python-pytest)
> >> +       ("python-pytest-cov" ,python-pytest-cov)))
> >> +    (home-page
> >> +     "https://github.com/josiah-wolf-oberholtzer/uqbar")
> >> +    (synopsis
> >> +     "Tools for building documentation with Sphinx, Graphviz and LaTe=
X")
> >> +    (description
> >> +     "Tools for building documentation with Sphinx, Graphviz and LaTe=
X")
> >
> > This should be a full sentence.
> >
>=20
> Noted :)
> >> +    (license license:expat)))
> >> --=20
> >> 2.31.0
> >>=20
> >>=20
> >>=20
> >>=20
>=20
> --=20
> Bonface M. K. D4F09EB110177E03C28E2FE1F5BBAE1E0392253F
> Humble GNU Emacs User / Bearer of scheme-y parens
> Curator: <https://upbookclub.com> / Twitter: @BonfaceKilz



--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--znoDBA4DkUZqQdX9
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmB3BvAACgkQQarn3Mo9
g1EO2RAApdyVmIoEV8x0rIZHnxHGiFhQPYBDXYTivL6gcjyza4y3jl6fgAyqMSx8
jIA/EMip+pfYswtX115pcUd2oJ7b6/r7LwvZWlDSr24ozrmfsS28gU9tzizs6tBl
ik4kKyOB5wBwmD5VIT69l6zJEM1ORkF7ymMsP4mWNe2VU5pG+zNPhKkUJCYtGrId
yF2ErzMnrRHtdloJ9/Xi61KTZZ6pnU8E0ljaExcF936E+sHFcJaTm+89Ei4kMB0W
QqJRjFgN3UeFiWcspxEcOL6uqOqj61qrstrMhXBDT3YJ3i+EfpXhNZwK750vjpAC
LU//TeFdmlbf8jaz98FEQAmRto52tbN6rv5JYX4+qmeI0DjIPspx6Iekxuysvsmd
ydWhPYHcY9xM7pwkiavjuSp/CDGX+n/YdkU9tX0zRn2rYSwHzrkIYX7fBY8n+F91
LzVCTAl9IwIPIaRp9C8qyy6CuVtFbPhdGi8AiS3UIOi3gwTUZ2PAZbJ2sl4kP2d3
T+7pPvqhXDBZVx6QetDFTIBnE0Zr52Yvy5bg8I3flEpgcg8z9dh7pMAdrdQizxC1
mZVF86RVcZ+uWD8fusN8Cl1/oLbYtYfae1DxD8H2SyLqOvfIWC9TXwicDsW8JHyx
BaV/+Ls31XigdjpNXIGBmhV2TpSlwg9StYpGBtMijjPSQYNI0EU=
=/4Wx
-----END PGP SIGNATURE-----

--znoDBA4DkUZqQdX9--




Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 13 Apr 2021 21:10:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 13 17:10:53 2021
Received: from localhost ([127.0.0.1]:32777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWQJ6-0003Nn-0y
	for submit <at> debbugs.gnu.org; Tue, 13 Apr 2021 17:10:53 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:40257)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lWQJ4-0003NX-2O
 for 47593 <at> debbugs.gnu.org; Tue, 13 Apr 2021 17:10:46 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id A378B5C01A8;
 Tue, 13 Apr 2021 17:10:40 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Tue, 13 Apr 2021 17:10:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=from:to:cc:subject:references:date
 :in-reply-to:message-id:mime-version:content-type; s=fm1; bh=hy9
 04I3GS5R/h9x1g4Z0/UsvLo3T5q6ntW09Vx3peKg=; b=QQ6AdEBx2aOAKOHxfTT
 whMxh9FhPfk7I6EbB5OdIptoRBxe+itf2Hrsfbuv5t3nCAN6Uasa7wvkMwR2vvzE
 tZpMtkPkErUbJeoBnvdsA5hFtuO7YW10mTnH8t1AFW556cSDLJdcX1easg/sRxMr
 K0lTz+83MHWvC75BEkU4AwbvPbswY8JpsBS45szO+VY+Y/F4fe4Hyn2rcpU77lG4
 Qcbz5RVGz4q9YFzo7LYH2Zrf2YNWaKC9fJauMhJj3zqrP2vto+FGwEjkBOWze7If
 5Ab+na9EfCJt05X+/LLBts0JAxLxA/QUxDH8cV93g25KTRmlNdxY416QPY4MxAuf
 ZVw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=hy904I
 3GS5R/h9x1g4Z0/UsvLo3T5q6ntW09Vx3peKg=; b=SwS4waeSYbxHJvBiisr1fx
 D2D7iLaW41AyhaCkeA1yNPVCWJYkLDBPj11TFzUEWkIiVvPQfRGVkyMiZHyOkvvz
 4PIOpEjU44YoCwx4eEsfNN0l8WUmc4HAz1UJaMdgzp4qnnLthfLzOVYkVP4S5VST
 1sbisctk5W1vzYOBDkxfB5kWOK5IHYQMvQIzaMA7yFOeoJYlOZq+s1M+4O/5/tBR
 4mGchlEK6dJwsfka0I/Zjdlc3dGVTM/ssXBen1dYsqzJbFEgegoOe55T7mjSmAaC
 UjbrqrkJyiiAu12d9LV1KZB06dkbHzk0M5ce9HVpMbRR1KBGGMDwTkzLwow8tVyA
 ==
X-ME-Sender: <xms:zwh2YFqJrbatc05AUc5Bvaf75DzaioxsoqTXebeAdYq2UP8aK4DsUQ>
 <xme:zwh2YHpzOKQpayG-pvViGsJ782TemZuLeX6n5h0rvanFAp4R3S0a9G-kluUfpGD6J
 d6q1VKnmP6KudQdPh0>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudekledgudehlecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffufhffjgfkfgggtgesghdtreertdertdenucfhrhhomhepuehonhhf
 rggtvgcuofhunhihohhkihcumfdruceomhgvsegsohhnfhgrtggvmhhunhihohhkihdrtg
 homheqnecuggftrfgrthhtvghrnhephfdugefgteeijeeijeettefhtdejledvveeiteff
 ieduiefffffhfeekkeeiveelnecuffhomhgrihhnpehfrhgrtghtihhonhdrihgupdhgih
 hthhhusgdrtghomhdpuhhpsghoohhktghluhgsrdgtohhmnecukfhppeeguddrkedtrdej
 vddrheefnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomh
 epmhgvsegsohhnfhgrtggvmhhunhihohhkihdrtghomh
X-ME-Proxy: <xmx:zwh2YCMfodssyFABiDsG3M9gcODhNus6GeCs2wNh7vmTXkiYR6NisQ>
 <xmx:zwh2YA4gu5gXhe0PhVt0GyX7XaMeICCF6lZ9QpUqKEaQzUIeXI9DVw>
 <xmx:zwh2YE7-pBOUM5fb2diioI6HGM6v6gGD-7PIE0pIf3gKZpEtqqUyaQ>
 <xmx:0Ah2YJjdd8ejyFmcStTfq0YdjmClwj5hl0d9o2u4iQ9Ntlv54XJyjA>
Received: from susa (unknown [41.80.72.53])
 by mail.messagingengine.com (Postfix) with ESMTPA id 1982B108005C;
 Tue, 13 Apr 2021 17:10:37 -0400 (EDT)
From: Bonface Munyoki K. <me@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: [bug#47593] [PATCH 5/6] gnu: python-xyz: Add python-quicktions.
References: <20210404122005.33127-1-me@HIDDEN>
 <20210404122005.33127-6-me@HIDDEN>
 <YHWZQf+xdb0BXp4e@3900XT>
Date: Wed, 14 Apr 2021 00:10:31 +0300
In-Reply-To: <YHWZQf+xdb0BXp4e@3900XT> (Efraim Flashner's message of "Tue, 13
 Apr 2021 16:14:41 +0300")
Message-ID: <8635vtopq0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: 47593 <at> debbugs.gnu.org, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Efraim Flashner <efraim@HIDDEN> writes:

> On Sun, Apr 04, 2021 at 03:20:04PM +0300, BonfaceKilz wrote:
>> * gnu/packages/python-xyz.scm (python-quicktions): New variable.
>>=20
>> Co-authored-by: jgart <jgart@HIDDEN>
>> ---
[..]
>> +    (synopsis
>> +     "Fast fractions data type for rational numbers. Cythonized version=
 of 'fractions.Fraction'.")
>
> I'd trim this to 'Fast fractions data type for rational numbers'
>

Noted.

>> +    (description
>> + "Fast fractions data type for rational
>> numbers. Cythonized version of
>> 'fractions.Fraction'.")
>
> And this I'd change to 'This package provides fast fractions data type
> for rational numbers.  It is the cythonized version of
> @quote{fractions.Fraction}.'
>

Makes sense. What's the "@quote{}" syntax. Where
would I get more of the documentation of the
syntax to put in the description?

>> +    (license license:psfl)))
>> --=20
>> 2.31.0
>>=20
>
> Speaking of cython, you should add a snippet to the source to remove any
> cythionized source and make sure those files get rebuilt during the
> build phase. Looking at setup.py it looks like you should remove
> src/quictions.c and I think it tries to cythonize automatically.

For anyone reading this(in future), the cythonized
.pyx files can stop matching CPython APIs across
Python versions. An example of that here:
https://github.com/slaypni/fastdtw/pull/40

=2D-=20
Bonface M. K. D4F09EB110177E03C28E2FE1F5BBAE1E0392253F
Humble GNU Emacs User / Bearer of scheme-y parens
Curator: <https://upbookclub.com> / Twitter: @BonfaceKilz

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJKBAEBCAA0FiEE1PCesRAXfgPCji/h9buuHgOSJT8FAmB2CMoWHG1lQGJvbmZh
Y2VtdW55b2tpLmNvbQAKCRD1u64eA5IlP+8oD/9vxtgobBEsE995HCG6NBU+ro11
+2h6mYX7CoPtKYKApBslZ7J0sth7czHNRe1ASFm+E6xs2Eg5DwBkfU8wc6EfMVZN
8yepsc8m0CZabHfAMJ5830IVpYaCnGT9qS9thCUapyCJPtHCkshPD3oI1rano+5Z
17c7RCmPO7NDFJsC9Okal8JXLV6ELaA6ksDMryu1rFARkHVQj61oUg1OsG7QjPH3
WKwjUy80fKjCQWR2/H00Pm5to57p5rnnBVz8Ad3vaSJT/P+rQE7JHNdds7mRvc02
1GjYdkT/+BiGC91XcMhijvjemTvfrGkmNmy8JsSVwPFasSzRGbu+p+5DDNXIYZgD
/wkqnEff1xNpJdC1hO0Ee1DF/2/C4El6JrydKXwSUJU+bfkVrA3C7KS1hTKfxUwj
Zpj5hLFLzgPo5DYE1jPkMu9y0luBK4mwLE66STi3M7+uAwxryXOQUg+U48LzySJ4
ddHp7qB0Oe96KS7eWF4phScgFkw42wiq879NSFWqPX/zIz80LfvvTqNPr03GMXIX
iXntCNMLQxpKIuVaz2gcPc+yujzgTGhfzqAH/jP0+K2XQFeJwZnG1ozlWy2mYDXe
wrob2BOp4TLRLm3kfUnpFVnXanoSqww3cZrHq9GfIYoivCwapkZygtClZxnz7XHx
f8o1gbzD5noIASrXqQ==
=Rg3t
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 13 Apr 2021 21:01:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 13 17:01:09 2021
Received: from localhost ([127.0.0.1]:60986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWQ9f-00039Q-O6
	for submit <at> debbugs.gnu.org; Tue, 13 Apr 2021 17:01:09 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:52253)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lWQ9d-00038R-Hz
 for 47593 <at> debbugs.gnu.org; Tue, 13 Apr 2021 17:01:02 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 632AB5C012F;
 Tue, 13 Apr 2021 17:00:56 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Tue, 13 Apr 2021 17:00:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=from:to:cc:subject:references:date
 :in-reply-to:message-id:mime-version:content-type; s=fm1; bh=ETX
 gJEOME6bnSUGmdc29b86KnjiSGRhX0WVcHEpBp/Q=; b=kIQ5uIzPOuZ5KPeQZme
 arP3nwe8VzjwKp1i/D78kjJOVhlJgGzY0n1Psb0uwN3K7fmV/b4ZcABVEkbQ8ED7
 GghDeXzLbAIFXWKv7/kQqeE98VcoJUggTeNjAeGXlKPYhxgu0iIFqAhPEOl2CqQh
 u8I17Vq4O6eoXzmm5CTl9lQU6FFfcan8IlKWlon7sIhpQA6U3M8OtUmaMdzHJA8F
 pRiMKLPfxO+g3Jae/LE0zYuSrDMJR1x+zsZYYBbI97vAwiCMChMnbpeFjvTuEp3o
 tbg7U14qPQMx+NCKIpF4kjGKtFzg8akeMvEXiZonD7TOJxL1SRnZuCPIBl7QlfWe
 Ckg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=ETXgJE
 OME6bnSUGmdc29b86KnjiSGRhX0WVcHEpBp/Q=; b=XbPCM9RWc+qS7T6d69WQJ/
 cMy7IS7vqccrvdW342XhH+Q48kl79wN0+24nIBlmxfBKGV20Ft+VEwAOSbPZv5hl
 cTijEpYhZ+5XjWgMmzIh4IW/1GFvfqAUIZcbjiqN6/YNFMOgCn19RrDqmUQEtcQR
 O/p8RkImZ20wjhOxiUCfpU6UBMc57TknzuhDzcL581xAaU+xb3UnxcmUOBd1bKdI
 81bZ8wTKlRWQvvKhaLFROcDOF8zaWlyIfPjDn1XSxZHAwBYx/UvD3U+bW/Y4TF2a
 qkp+n6hOxD+RAdTsMRksj3hBlizzbeu3X2SQjWWnpM15fZD7jxlKXjc67pWL/p1w
 ==
X-ME-Sender: <xms:hwZ2YB9CpL3i2elTEI4IN4QM4bUge36_GCYluB0Bj-2OUwXzbq9olA>
 <xme:hwZ2YMF_VnsyP9YoVUxWRyEQcF8EdgEy1itHbVNC16ASKO9X9jPxV2a0ZmlfUwBSM
 4ui0HmrOs4x-zyrn6E>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudekledgudehjecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enogfuuhhsphgvtghtffhomhgrihhnucdlgeelmdenucfjughrpefhvffufhffjgfkfggg
 tgesghdtreertdertdenucfhrhhomhepuehonhhfrggtvgcuofhunhihohhkihcumfdruc
 eomhgvsegsohhnfhgrtggvmhhunhihohhkihdrtghomheqnecuggftrfgrthhtvghrnhep
 kefgtefhheeuhfeltefgtefhfeehtddvgedvudevkeelffejteelgfelhfffffeinecuff
 homhgrihhnpehgihhthhhusgdrtghomhdpshhtrggtkhhovhgvrhhflhhofidrtghomhdp
 ghhithhhuhgsrdhiohdpuhhpsghoohhktghluhgsrdgtohhmnecukfhppeeguddrkedtrd
 ejvddrheefnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhho
 mhepmhgvsegsohhnfhgrtggvmhhunhihohhkihdrtghomh
X-ME-Proxy: <xmx:hwZ2YLTsd9u-DXz06ttsAmJyuN-fa_6mBqKcV1Eipx2gcjgsgWSmkw>
 <xmx:hwZ2YDQgF-QJea9uNgW_XchpzNhhXVlH3_p-EF6_MzlFp3IL4zMUwQ>
 <xmx:hwZ2YO14oUUv9dnk8JH6ooubbdrPaB0eNdKwfnm5tWJM3g95_VF0cw>
 <xmx:iAZ2YNbsu3XdukqUZum5H5cg2Y-RQKVW1BEwsveVHA_HTfetbQ5__g>
Received: from susa (unknown [41.80.72.53])
 by mail.messagingengine.com (Postfix) with ESMTPA id E87AE240065;
 Tue, 13 Apr 2021 17:00:53 -0400 (EDT)
From: Bonface Munyoki K. <me@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: [bug#47593] [PATCH 6/6] gnu: python-xyz: Add python-abjad.
References: <20210404122005.33127-1-me@HIDDEN>
 <20210404122005.33127-7-me@HIDDEN>
 <YHWZSBWjs8Xq/8/U@3900XT>
Date: Wed, 14 Apr 2021 00:00:47 +0300
In-Reply-To: <YHWZSBWjs8Xq/8/U@3900XT> (Efraim Flashner's message of "Tue, 13
 Apr 2021 16:14:48 +0300")
Message-ID: <867dl5oq68.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: 47593 <at> debbugs.gnu.org, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Efraim Flashner <efraim@HIDDEN> writes:

> I would put this in music.scm near lilypond.
>

Makes sense.

[...]
>
> If this is a package that would be installed then you can change the
> name to abjad, no need to keep the python prefix.
>

I don't quite get this. Do you mean a package that
would be installed and run as some executable as
opposed to a library?

>> +(define-public python-abjad
>> +  (package
>> +    (name "python-abjad")
>> +    (version "3.3")
>> +    (source
>> +     (origin
>> +       (method url-fetch)
>> +       (uri
>> +        (string-append
>> +         "https://github.com/Abjad/abjad/archive/refs/tags/v"
>> +         version ".tar.gz"))
>
> This should be a pypi URI or be downloaded using git-fetch
>
Noted.

>> +       (sha256
>> +        (base32
>> +         "0dvj40g8kq1jdp09gb2chxxb7959vxv5h4m8ywg4qigsw3f11xnx"))))
>> +    (build-system python-build-system)
>> +    (arguments
>> +     `(#:phases
>> +       (modify-phases %standard-phases
>> +         (add-after 'unpack 'patch-source
>> +           (lambda _
>> +             (substitute* "setup.py"
>> +               (("uqbar>=3D0.4.4, <0.5.0") "uqbar>=3D0.4.4, <=3D0.5.1")
>
> I would just take off the <0.5.0 and not try to make it just high enough
> to include the version packaged.
>
Makes sense!
>> +               (("pytest>=3D5.4.3") "pytest>=3D5.3"))
>
> We also have pytest-6. Of course this is also fine.
>
Sure!
>> +             #t))
>> +         (replace 'check
>> +           (lambda _
>
> (lambda* (#:key tests? #:allow-other-keys)
>   (when tests?
>
Noted.
>> +             ;; See: https://stackoverflow.com/a/34140498
>> +             (invoke "python" "-m" "pytest" "tests")
>> +             #t)))))
>
> I'm sure that not all of these need to be propagated. The source should
> be patched to refer to lilypond and I'm guessing most of the rest can
> either be inputs (they'll get wrapped with the python wrapper) or
> native-inputs if they're only needed for tests.
>

Makes a lot of sense!

>> +    (propagated-inputs
>> +     `(("lilypond" ,lilypond) ;; Required for tests to pass!
>> +       ("python-black" ,python-black)
>> +       ("python-flake8" ,python-flake8)
>> +       ("python-isort" ,python-isort)
>> +       ("python-mypy" ,python-mypy)
>> +       ("python-ply" ,python-ply)
>> +       ("python-pytest" ,python-pytest)
>> +       ("python-pytest-cov" ,python-pytest-cov)
>> +       ("python-quicktions" ,python-quicktions)
>> +       ("python-roman" ,python-roman)
>> +       ("python-six" ,python-six)
>> +       ("python-sphinx-autodoc-typehints"
>> +        ,python-sphinx-autodoc-typehints)
>> +       ("python-uqbar" ,python-uqbar)))
>> +    (home-page "https://abjad.github.io")
>> +    (synopsis
>> +     "Abjad is a Python API for building LilyPond files.")
>
> I'd shorten this to "Python API for building LilyPind files"
>

Thanks for the suggestions!

>> +    (description
>> +     "Abjad is a Python API for building LilyPond files.")
>> +    (license license:expat)))
>> --=20
>> 2.31.0
>>=20
>>=20
>>=20
>>=20

=2D-=20
Bonface M. K. D4F09EB110177E03C28E2FE1F5BBAE1E0392253F
Humble GNU Emacs User / Bearer of scheme-y parens
Curator: <https://upbookclub.com> / Twitter: @BonfaceKilz

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJKBAEBCAA0FiEE1PCesRAXfgPCji/h9buuHgOSJT8FAmB2BoIWHG1lQGJvbmZh
Y2VtdW55b2tpLmNvbQAKCRD1u64eA5IlP0IQD/wMxUt8Gx2IX1ubBZA7Dkq6Qz/p
dwWwBla35pfgrDrdNVDcBaAPejOqWyzzWi/cIPePk3aoupTQeX5L2UEVqdymFXPT
jgLptYYFQrlWbAeY8cxNDrc/C/78sHOn2aOvQI4fo3hvzy2EDwYc9GFth0aAbwxm
u1YDFzWVKNanp8JYObTr0tbTatcsCjsnJMDzd3XSG7PJcpnLcS71dpyk1MP3J2/s
hx6Ap43b7QK8OOD7jOtrkR/oSf3vmn6Zi4cFMouoBvEjJyUKz5Ro83VO1c8t5qPc
Xkl8YtrT+Dn4GHEuzZp7Llo3AgouH4KdZHcL2QrRIC58R7JOWDd4TbFss8YBapfu
lIQDPB4Ie50nYm0dMdnQvBcrJPHSLLsQXaxx2a4g6KyYIwzdCOg2s+E+ZBtza/Vz
iWlKa1/JcfBxjO9RZa0b7wJXuXN2kYeV61Hd4TgTAAXcfHpwnpCUlWNQtDmkddkF
fYSVmlRae2DtpuY9xYhNBwf50+GMZd3igxlN968lUi/ff07eI1scL/9F45D9+cvP
bHc4cNzwXzxMQDbE49snGlLhwYUJsG9XbkkLuCAZ9DNgUkrq2XzfZgwo1YK3a3b0
lWk3j0Ff/S2k/RHa/3O+nOuEBrXwNn4dvwKwSBrA4wYQ3spBloQl0Huf+qAaISnb
sQ4bNsOMco5e9ux2OA==
=dQ6J
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 13 Apr 2021 20:54:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 13 16:54:05 2021
Received: from localhost ([127.0.0.1]:60964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWQ2v-0002wC-A3
	for submit <at> debbugs.gnu.org; Tue, 13 Apr 2021 16:54:05 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:59723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lWQ2t-0002vb-Nh
 for 47593 <at> debbugs.gnu.org; Tue, 13 Apr 2021 16:54:03 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 93FFC5C0189;
 Tue, 13 Apr 2021 16:53:58 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Tue, 13 Apr 2021 16:53:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=from:to:cc:subject:references:date
 :in-reply-to:message-id:mime-version:content-type; s=fm1; bh=T26
 IL9CrFqpLZleBCh4TWXljtO/T5999b2rICAdWajc=; b=QPlhK+uELrGejfKGgH3
 CZrJ8qnlTFeKEdFyE/5LB2n4pZtTQO5CdT3W72RBRzoJay0/yMl+oCKyO2bxUs1p
 V02HGBxkKhzTrAVKqmbPlHVLzsfX7bNdfolrVf3rmamNWPiXlyBKEAsZ90X5QIY8
 b7o+LWNDkbJcgWVPcy9/OXu4yGdZJToXvZahdHFM6gKnXCEbXmRea7VBU96oU20u
 fUsMCGlLmc1TtzJreS0g+NqT1vib16hea1cspxQct5u4ngTS+ilYO7/IGeeOOax7
 tVawFL2eYStsHrQ+4A1YQFhhnXKlB7vOipB6kHjh90KlRUpG8RKCvDkjjMC/XY9t
 r4A==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=T26IL9
 CrFqpLZleBCh4TWXljtO/T5999b2rICAdWajc=; b=HDABtnUUHnATPFkiaFFPwr
 Q5i8buwPlt7gsMtvfydOAtuwMdkHgs+0Ve2UxeSjr/DPWldLlEHiOc2LvpRXcrLk
 HjuWhDz/K7/KvA/RKmR0VzB6ncYgHbs0DoduSH+PiK3kMjDhURzORHMzYPEdG23i
 xGTcX4A7ODCDsOD07uZ57a3Qd6OGUDqPG6DY8GcB+8IJlAQB3YzM0TPHqyC1SHcS
 kccmHeAQ/UxVlyzRvdBez6BmqfeTdgzQrITjjtGhbZ8xOo89KoqrEX4vWQLxdjQC
 PUa2HwUSgPpA2ez3CmGWYxDWIlcTi7xuXzOvBU4ZoG/c4IzaTEw2AeLs73PdSF0Q
 ==
X-ME-Sender: <xms:5QR2YHFwupRqay5qUIVBgLe6UrD1FOxQtavYofkguGca2RIYPMYLeA>
 <xme:5QR2YIlbuBsBpcnzdIMFUo3NB6wnF-9ROD7E7_SNgB6LQmrNxGkfUxuERDiogNGBB
 NRPQMztXYDln_kd2qM>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudekledgudehiecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffufhffjgfkfgggtgesghdtreertdertdenucfhrhhomhepuehonhhf
 rggtvgcuofhunhihohhkihcumfdruceomhgvsegsohhnfhgrtggvmhhunhihohhkihdrtg
 homheqnecuggftrfgrthhtvghrnhepteffheefvdelgfefvefgvdehjeegudegtdegjedt
 hfdthfefgedvtdfghfekvddvnecuffhomhgrihhnpehgihhthhhusgdrtghomhdpuhhpsg
 hoohhktghluhgsrdgtohhmnecukfhppeeguddrkedtrdejvddrheefnecuvehluhhsthgv
 rhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepmhgvsegsohhnfhgrtggvmh
 hunhihohhkihdrtghomh
X-ME-Proxy: <xmx:5QR2YEL8smFYuUxxuAYzwTZfzzNU9-mhS5AVoAWsm8Ss-MI6ngROLQ>
 <xmx:5QR2YJa9rz-9HBJEtj0a-kFb6x3H_sKk742qPdKRyxJEwBu_9IIxWA>
 <xmx:5QR2YGYcBLUrSVM1XVYEjafEc116CaBA5nQTnZCjxxZkzyjdpw9oIA>
 <xmx:5gR2YD208b2sP1RfCpLZ-mhm8TQ6GoVIaQLtsevdh-9a2kPLbZM8tw>
Received: from susa (unknown [41.80.72.53])
 by mail.messagingengine.com (Postfix) with ESMTPA id BF4861080066;
 Tue, 13 Apr 2021 16:53:55 -0400 (EDT)
From: Bonface Munyoki K. <me@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: [bug#47593] [PATCH 4/6] gnu: python-xyz: Add
 python-setuptools-declarative-requirements.
References: <20210404122005.33127-1-me@HIDDEN>
 <20210404122005.33127-5-me@HIDDEN>
 <YHWZO+QiIsFKUcnP@3900XT>
Date: Tue, 13 Apr 2021 23:53:49 +0300
In-Reply-To: <YHWZO+QiIsFKUcnP@3900XT> (Efraim Flashner's message of "Tue, 13
 Apr 2021 16:14:35 +0300")
Message-ID: <86blahoqhu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: 47593 <at> debbugs.gnu.org, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Efraim Flashner <efraim@HIDDEN> writes:

> It would be best to put this package definition near the other
> python-setuptools-* package definitions.
>
Noted!

[...]

>> +    (home-page
>> +     "https://github.com/s0undt3ch/setuptools-declarative-requirements")
>> +    (synopsis
>> +     "File support for setuptools declarative setup.cfg")
>> +    (description
>> +     "File support for setuptools declarative setup.cfg")
>
> This should be a full sentence.

Sure!

=2D-=20
Bonface M. K. D4F09EB110177E03C28E2FE1F5BBAE1E0392253F
Humble GNU Emacs User / Bearer of scheme-y parens
Curator: <https://upbookclub.com> / Twitter: @BonfaceKilz

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJKBAEBCAA0FiEE1PCesRAXfgPCji/h9buuHgOSJT8FAmB2BOAWHG1lQGJvbmZh
Y2VtdW55b2tpLmNvbQAKCRD1u64eA5IlPw6qD/9XRcOjQuuTfNoj26r4EWuVa3rt
5K3wkFWpBn8ybl/6cnpUUOFSQ05ni/F89yPTkCKPQjsQGeh/PS32v22iW8vmc6B+
1kaxTzTDWWkmz2i2MfMegKSCWZEjZS45V+AqikiWn3pD7aa/OOjY3vQ0QsREJChH
tIVfo4hBoiCmkjbtrlN6XXMKu8qyFcSD1veBcwtmopi8VtsEH0YgsEpcvUS2Napz
bbp6ltoaVBVapGOlp527bm1ec8Z9tRM8GFkCQUvEPSs8bdJRFKwnOtr0xpThz4Or
S/a9NWLIREGdvIv+VMKiWunNNLigfJmHXn5TFu27xpY0aoW11Di0i//hu/+Stotl
gJbI03BOXpgFvy/gRUQTo3bLg/C2GB1CswpIOyYKgdy5Km1GUNgr50Tmg5J2U174
klA0AnXfMigSUkIn/gQqxGArSC2B5k9hhXS6ZyzX8JtWt2PdyUACPlJv+bX53RAN
SL7cVFYusTazp6HlewK7fdpuk4RaSE8VTu+v7cQhs61qrGZm/NJ0Xk3i7Vd57MbN
D8R5xq4q2/tQXCiRmgaOZzwGLNol/LG0FMph0DZd7iME/xl5NyPWGHW8rhM04n2R
cBiODIShsnNORoATO7TVYLUZoP7rcE1RJqwzxe1cNHY4lEFRhLjWg4O+ETP99PCE
qrjVtxtLcXEqIF1Ccw==
=mMOX
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 13 Apr 2021 20:52:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 13 16:52:35 2021
Received: from localhost ([127.0.0.1]:60954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWQ1Q-0002tR-0E
	for submit <at> debbugs.gnu.org; Tue, 13 Apr 2021 16:52:35 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:58185)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lWQ1N-0002tC-K4
 for 47593 <at> debbugs.gnu.org; Tue, 13 Apr 2021 16:52:30 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 342CF5C018B;
 Tue, 13 Apr 2021 16:52:24 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Tue, 13 Apr 2021 16:52:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=from:to:cc:subject:references:date
 :in-reply-to:message-id:mime-version:content-type; s=fm1; bh=t7a
 Xg08lIY4Wg07+BY9Lq+d1oLSVf8lfaetjize+IGw=; b=hUXB0doL2ozbJeK+ZsM
 RVVhXkaz7l2HvmRzQMQ/0nVLljGIE3Znt9scLYeO695/znAua+Wk589BS41SecZ2
 OVod0Z6aQK5tyToga6LtPeI9oQmK2ajL7o8qqqWErYN3fDZgbxxPerVLaNGvEU0p
 gyMX4QJyekCisPtTMs9ekoxYz3MhddU8L3+8tcwKOCIk7bI/dn/TcAbZLP1oYfjx
 PjNnZCZ/B0ZTpgX+yhLjFlLvkeS0+/hp+w66qq1FaoXk8d+dkCoHRDpMRQwl7MPM
 xshO+CQwI2SZOESsSXwDs0YOJVCMF5FbS+0UXG9+Sv8ytwg1JEucmhSWSDRZDQjb
 ICA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=t7aXg0
 8lIY4Wg07+BY9Lq+d1oLSVf8lfaetjize+IGw=; b=Whg6k2/qsGX9FedoE+3YCj
 GLmv4VEaBvLUVLkZ+TsZFMuXtp7auhraLXV/pypiVXdUsocL8Y1qfKy1U8T38VJ5
 u3RcqwbQ+Pn3ZaRjfYkA/RARJkU+E7rigKBx2yYXl90UCEYeVGHJMOrNK5DR1dv6
 3mfRYlLibclypzt7mAD36Uw6bjGiJUDKTmKHvJNfF53aFnZuoiHW7uSor5GNRJ9N
 yD07mXKM79k62s0lnCioqWB/8H06uS/puikbw2CGT7t9VIUra72FJciXhG8HZTp6
 gv04/FybAZMUOOp6UnYRne+fSDX+AYc6MU1CQIA6/DfASPxhd/xd2A/rfJgJOBPw
 ==
X-ME-Sender: <xms:hgR2YD7ji8EajNV3jMy3-uLReh31yrnVlXM83UBZ959h77lobrr8aw>
 <xme:hgR2YI6R158i2gJq0V8vIKxqWk2wfwCcomV2z-uDL-Guh9UQFOsUJzuVXHMhdoE2J
 1oZ1Vq7yDdI2n4T0J4>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudekledgudehhecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffufhffjgfkfgggtgesghdtreertdertdenucfhrhhomhepuehonhhf
 rggtvgcuofhunhihohhkihcumfdruceomhgvsegsohhnfhgrtggvmhhunhihohhkihdrtg
 homheqnecuggftrfgrthhtvghrnhepteffheefvdelgfefvefgvdehjeegudegtdegjedt
 hfdthfefgedvtdfghfekvddvnecuffhomhgrihhnpehgihhthhhusgdrtghomhdpuhhpsg
 hoohhktghluhgsrdgtohhmnecukfhppeeguddrkedtrdejvddrheefnecuvehluhhsthgv
 rhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepmhgvsegsohhnfhgrtggvmh
 hunhihohhkihdrtghomh
X-ME-Proxy: <xmx:hwR2YKfl1gVRxxiUm7r-R2YshuZwLEeD6eZKz3gf6SPkwAISGeAwsg>
 <xmx:hwR2YEI-q1sUTKeyeSzo_6aVB0PWVko5tl461cuxj8XcKZxSQG_kJw>
 <xmx:hwR2YHKS9L7U161AnJjJDcTG99acknZB7AIRA9ZBEjb9kbbVbQSxyA>
 <xmx:iAR2YJxwxkugJJ5NLqfZsRofaxcZ1BW28oFLUyN0-zIqh0hIZT1kdA>
Received: from susa (unknown [41.80.72.53])
 by mail.messagingengine.com (Postfix) with ESMTPA id 6FC9A108005F;
 Tue, 13 Apr 2021 16:52:21 -0400 (EDT)
From: Bonface Munyoki K. <me@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: [bug#47593] [PATCH 3/6] gnu: python-xyz: Add python-uqbar.
References: <20210404122005.33127-1-me@HIDDEN>
 <20210404122005.33127-4-me@HIDDEN>
 <YHWZNENNZY3ih7P7@3900XT>
Date: Tue, 13 Apr 2021 23:52:15 +0300
In-Reply-To: <YHWZNENNZY3ih7P7@3900XT> (Efraim Flashner's message of "Tue, 13
 Apr 2021 16:14:28 +0300")
Message-ID: <86fsztoqkg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: 47593 <at> debbugs.gnu.org, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Efraim Flashner <efraim@HIDDEN> writes:

> I haven't tried building this package yet. The sphinx packages are in
> sphinx.scm and the graphviz packages are in graphviz.scm. I think I
> would put it in graphviz.
>

Now that you've pointed it out, I see it! That
makes sense.

[...]

> guix lint should've caught this.

I seem to have skipped doing this. I need to find
a way to integrating "guix lint" to my Emacs
workflow since I seem to always somehow forget to
do this.

> If the pypi version from 'guix import
> ppyi uqbar' doesn't work for building then you should use git-fetch to
> download the source. The github archive URLs tend to get regenerated
> from time to time.

I went with the GitHub version since the pypi version
doesn't have tests. So in such cases, is it still
preferable to use the pypi version?

>> +       (sha256
>> +        (base32
>> +         "02kfvwh94ca0y3hsfrc071ga3g3vqflhyv4w4hif34dyj2skvpa8"))))
>> +    (build-system python-build-system)
>> +    (arguments
>> +     `(#:phases
>> +       (modify-phases %standard-phases
>> +         (add-after 'unpack 'patch
>> +           (lambda _
>> +             (substitute* "setup.py"
>> +               ;; Latest versions of sphink-rtd-theme require npm to bu=
ild.
>> +               (("sphinx-rtd-theme >=3D 0.4.0") "sphinx-rtd-theme >=3D =
0.2.4")
>> +               (("black =3D=3D 19.10b0") "black >=3D 19.10b0"))
>> +             #t))
>> +         (replace 'check
>> +           (lambda _
>> +             (invoke "python" "-m" "pytest" "tests")
>
> We want the ability to skip the tests, so this should be
> (lambda* (#:key tests? #:allow-other-keys)
>   (when tests?
>     (invoke ...
>

Never knew this! Learnt something new. Thanks!

>> +             #t)))))
>> +    (propagated-inputs
>> +     `(("graphviz" ,graphviz)
>
> Is it possible to substitute the actual calls to the graphviz binaries
> in the package?

Not really. However...

> We don't want to have to propagate non-python packages.
>

... We could add the graphviz to native
inputs since it's only required at build-time when
running one of the tests.

>> +       ("python-black" ,python-black)
>> +       ("python-sphinx" ,python-sphinx)
>> +       ("python-sphinx-rtd-theme"
>> +        ,python-sphinx-rtd-theme)
>> +       ("python-unidecode" ,python-unidecode)))
>> +    (native-inputs
>> +     `(("python-flake8" ,python-flake8)
>> +       ("python-isort" ,python-isort)
>> +       ("python-mypy" ,python-mypy)
>> +       ("python-pytest" ,python-pytest)
>> +       ("python-pytest-cov" ,python-pytest-cov)))
>> +    (home-page
>> +     "https://github.com/josiah-wolf-oberholtzer/uqbar")
>> +    (synopsis
>> +     "Tools for building documentation with Sphinx, Graphviz and LaTeX")
>> +    (description
>> +     "Tools for building documentation with Sphinx, Graphviz and LaTeX")
>
> This should be a full sentence.
>

Noted :)
>> +    (license license:expat)))
>> --=20
>> 2.31.0
>>=20
>>=20
>>=20
>>=20

=2D-=20
Bonface M. K. D4F09EB110177E03C28E2FE1F5BBAE1E0392253F
Humble GNU Emacs User / Bearer of scheme-y parens
Curator: <https://upbookclub.com> / Twitter: @BonfaceKilz

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJKBAEBCAA0FiEE1PCesRAXfgPCji/h9buuHgOSJT8FAmB2BIIWHG1lQGJvbmZh
Y2VtdW55b2tpLmNvbQAKCRD1u64eA5IlP8X6EACNjfdonLqPSZdzDsBT5Yh/bUUG
PJ+QH/7OZm5NjpkVCGfBiUkgBK8OwFyErdnkGmrA2wnAvscqTtBmd5yYb2Vqcpzn
7u+bHTiJyV6xuowYhZInUDPAeXVaI0pGP/lyD0GqCObh/YeA7j9i+/rg10pxGpHN
Azee1CNucODmpLw6hKKkXR531+XSBI+lTWBnefLHOx9gdZsxPeBWn28d+oukult5
lC4ZxoGzNfJyyxYPUGLuQwMLOWapJtsJugeLkQybloDtS0NNn1xFa12TTzX+sDlU
XJCoLuYyU5OTg1HFiI2E/g7yfsVdphfACmRQitH7Tk9iAuaFTbfqiN5cCfsHIxV3
QigZYkI9pX3Dansyg833h6yAv9eRkQfSVFWa1vX+QtyyxljYDbUMN8aGxs1JvTnP
PCsaScwqO7sdeM/TQH5x67+59idoPFA3CTvKoanQVRo9bq9u2yFjW0M7zX0gM9MJ
+sQBBIS2cYRkFqOR/Ff6hIUe8iZ18VN6B8pxYGQ6Qn6SNjVwLW88B2E930q/ILrg
B107cTASGGNmHP+S0cSQ4m024xliBWAO9/h6mI4JU3XM20YkgtN9FYrRNJs/mTnI
KXmnRg3nYoyh/rYtpYFsUlMxv8CC0fnBih9bZtRE7WKdQBYZ4AVw7Rvl+TKLNRcV
pSwIoZ8UrPd1Um9qeg==
=9OTc
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 13 Apr 2021 20:12:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 13 16:12:54 2021
Received: from localhost ([127.0.0.1]:60919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWPP1-0001vf-0k
	for submit <at> debbugs.gnu.org; Tue, 13 Apr 2021 16:12:54 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:51901)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lWPOz-0001vS-1B
 for 47593 <at> debbugs.gnu.org; Tue, 13 Apr 2021 16:12:49 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id BC6745C00E8;
 Tue, 13 Apr 2021 16:12:43 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Tue, 13 Apr 2021 16:12:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=from:to:cc:subject:references:date
 :in-reply-to:message-id:mime-version:content-type; s=fm1; bh=E/S
 2+bJrH7BqTUM043rvkyhgsPd5hJevjLE1MInYqxY=; b=EIYlxV2GV9BxGbuNi4s
 JE+39jYkhPSVxnyKGd9ZbbFfBxdl+26Du9qK0MUHZuDI84ee5W6+lsvc0NOvvNVG
 ZDZ3gpzIhrJWiYLr3GhMXQd6DwPc2k7VDaaUPZUkWr+JLy7UqlHMJ5dwSwAreDPA
 7JZjdWzDC3F+MAnSq3JY132oPYddmmVFe7kTToniRxIF7XNT3/NuBlPOzVX4myMF
 dW4QoKyYkDvqogeunG1GXriLVwo/cSe8tNAyfmG8n/buzI/TljONg42VZ408hWn5
 Soedb9jjtPRVyz+rm9j4vJHAmqLuLVVUA067EMKsz+MrIob3qKCEhEJqxawi+E/d
 sAA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=E/S2+b
 JrH7BqTUM043rvkyhgsPd5hJevjLE1MInYqxY=; b=K+Ky90wwBhI+VYKTT8/cG1
 ERRbOjfVfvFzZQ9Tg9yxXphG+9jlF/7bvVijmmkQP22CvNQa3bCq7KrOgEmtvi8J
 WvuHuTrzCj1SSm9RT8tek6IXDmIm69N8pG1+/5BlOdckAIeC2u+km1oZ2UHIdAdJ
 XH75ze7MA/MdYGaQurenmM/7CVhV2MwFbWHkXs5/khuynH3W79f8RE1v6NXmPWOi
 NPB056EecSpH4BP1CaBlsYptyYyBDfr8bd7dU/R2zqX+1bdzmfvWIatY+yIVYDLj
 H6K86LDkCe1OkBn+Q5Ts/iPxC6XSIADG+LjnvH9Myr+SH+vR7fKCDVMRnJvoDSzw
 ==
X-ME-Sender: <xms:Ovt1YN7uVkA-RYei48hr9lMua1FrZrJ1lDD4Mhr3rX7aJ9sszG36mQ>
 <xme:Ovt1YK5EPYD5gpQAGQLls1T1NvalTWgJ-FjdWY1gKaC06Uo8RFTY7Q8yfcIYBOy5B
 0aE4c7CJOsc49FBsIM>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudekledgudegjecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffufhffjgfkfgggtgesghdtreertdertdenucfhrhhomhepuehonhhf
 rggtvgcuofhunhihohhkihcumfdruceomhgvsegsohhnfhgrtggvmhhunhihohhkihdrtg
 homheqnecuggftrfgrthhtvghrnhepteffheefvdelgfefvefgvdehjeegudegtdegjedt
 hfdthfefgedvtdfghfekvddvnecuffhomhgrihhnpehgihhthhhusgdrtghomhdpuhhpsg
 hoohhktghluhgsrdgtohhmnecukfhppeeguddrkedtrdejvddrheefnecuvehluhhsthgv
 rhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepmhgvsegsohhnfhgrtggvmh
 hunhihohhkihdrtghomh
X-ME-Proxy: <xmx:Ovt1YEfqktFS1r-FvPffHx5XEdsDO3yeQx_Y7g-Zn35FCU-9fcPhIQ>
 <xmx:Ovt1YGL2YAoxl4aOSjtzX1xwlPfxrrVTyg-sNa-B_7TPs7zYpDayTQ>
 <xmx:Ovt1YBK4QOO7ekiTqk1Puoypcy9h-peDyNdVTWhFQXnFtzgP01BZdg>
 <xmx:O_t1YDxpAmF2rETaaWfNV44zj4Fuh2BP7UP38g4dncXAhBws9r2UuQ>
Received: from susa (unknown [41.80.72.53])
 by mail.messagingengine.com (Postfix) with ESMTPA id C16851080066;
 Tue, 13 Apr 2021 16:12:40 -0400 (EDT)
From: Bonface Munyoki K. <me@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: [bug#47593] [PATCH 1/6] gnu: python-xyz: Add python-roman.
References: <20210404122005.33127-1-me@HIDDEN>
 <20210404122005.33127-2-me@HIDDEN>
 <YHWZHF4YaXR/BXLK@3900XT>
Date: Tue, 13 Apr 2021 23:12:34 +0300
In-Reply-To: <YHWZHF4YaXR/BXLK@3900XT> (Efraim Flashner's message of "Tue, 13
 Apr 2021 16:14:04 +0300")
Message-ID: <86k0p6ndu5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: 47593 <at> debbugs.gnu.org, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Efraim Flashner <efraim@HIDDEN> writes:

> As noted elsewhere, it would be better if this weren't added to the
> bottom of the module. It increases the chances of merge conflicts.
>
Sure!
> On Sun, Apr 04, 2021 at 03:20:00PM +0300, BonfaceKilz wrote:
>> * gnu/packages/python-xyz.scm (python-roman): New variable.
>>=20
>> Co-authored-by: jgart <jgart@HIDDEN>
>> ---
>>  gnu/packages/python-xyz.scm | 19 +++++++++++++++++++
>>  1 file changed, 19 insertions(+)
>>=20
>> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
>> index 74aee4a3c2..b69ea2e32a 100644
>> --- a/gnu/packages/python-xyz.scm
>> +++ b/gnu/packages/python-xyz.scm
>> @@ -24239,3 +24239,22 @@ number of words, syllables, and sentences.")
>>       "This package provides a Python library that can parse OPML, FOAF,=
 and
>>  iGoogle subscription lists.")
>>      (license license:expat)))
>> +
>> +(define-public python-roman
>> +  (package
>> +    (name "python-roman")
>> +    (version "3.3")
>> +    (source
>> +     (origin
>> +       (method url-fetch)
>> +       (uri (pypi-uri "roman" version))
>> +       (sha256
>> +        (base32
>> +         "0gyp2bmw47jgpm8j64gydzqq838bgxz5gh6cm57lxlr7p26sqiic"))))
>> +    (build-system python-build-system)
>> +    (home-page
>> +     "https://github.com/zopefoundation/roman")
>> +    (synopsis "Integer to Roman numerals converter")
>> +    (description
>> +     "Small helper library to convert arabic to roman numerals.")
>
> This package provides a small helper library to convert Arabic Numbers
> to Roman Numerals.
>
This makes sense...
>> +    (license license:psfl)))
>> --=20
>> 2.31.0
>>=20
>>=20
>>=20
>>=20

=2D-=20
Bonface M. K. D4F09EB110177E03C28E2FE1F5BBAE1E0392253F
Humble GNU Emacs User / Bearer of scheme-y parens
Curator: <https://upbookclub.com> / Twitter: @BonfaceKilz

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJKBAEBCAA0FiEE1PCesRAXfgPCji/h9buuHgOSJT8FAmB1+zUWHG1lQGJvbmZh
Y2VtdW55b2tpLmNvbQAKCRD1u64eA5IlP215D/4mwG3kiTRc2uuQjeZ0qV6tTzoe
2ApMx8sjlNNTItIoE65jgluqtLii39RvEYVSbT8y4PNk4gnW9G8TCENlrHPFhFFE
YbLtqJBnAZlKD3DsCfw3vXmZJlcS9uuMMQdYJYqnMeIHdxwMsPPAUgS9O/3vZVvw
Z7kxyTffoMc2FbpSyvcH+GOeoLxyS0w/TxCt7+X1Ur9TiZPvrgI9t1Zinlz01xl1
3qDNuX9qpCPoWq+zsmwJ3ErvUdghP/URVzfU64YqiO0svSy+RfwvmB1ULJ//aSPd
emwLv1LRiogExGA6bhXqCfYv0v1JgGskOmdSaxq9yxkXjDP03FYNExmTrE3EPD0D
FXh1wAm8sOChiFDxiAOa8Tr7DADZCX3FH+Nr3HpCA+0fPLfaVVF+2PrLQepkm+rk
H87nunFkMYgoiJ5W6igym+GyIePMz9Xv6Bgv/+bB+g53PiF64opGcqXDMDxvAIev
kMa3TJy+C+96Du7/bqerJPFD69UL4B6kCoNFlroCMrBvig44WAuAdY27RkE/eotO
VydTKV56RbhShZFJU3hxkt6M38fDkynrybFJanT9nvO8nf8TPsEZF5U0e/VEUjrk
L2WOgf3+fLzlGoGcvbzPATZS6/+A/QfQiivHFluIbhWp3YOnhA0b+fmvJRJHwcvM
StEQFXbNMzvJEv8crA==
=Pj87
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 13 Apr 2021 13:17:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 13 09:17:07 2021
Received: from localhost ([127.0.0.1]:59311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWIug-0003yy-Q3
	for submit <at> debbugs.gnu.org; Tue, 13 Apr 2021 09:17:07 -0400
Received: from flashner.co.il ([178.62.234.194]:55838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1lWIuf-0003yB-AS
 for 47593 <at> debbugs.gnu.org; Tue, 13 Apr 2021 09:17:05 -0400
Received: from localhost (unknown [31.210.177.71])
 by flashner.co.il (Postfix) with ESMTPSA id 98BC9405C9;
 Tue, 13 Apr 2021 13:16:59 +0000 (UTC)
Date: Tue, 13 Apr 2021 16:14:41 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: BonfaceKilz <me@HIDDEN>
Subject: Re: [bug#47593] [PATCH 5/6] gnu: python-xyz: Add python-quicktions.
Message-ID: <YHWZQf+xdb0BXp4e@3900XT>
References: <20210404122005.33127-1-me@HIDDEN>
 <20210404122005.33127-6-me@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="3xd3FOxA++hB2WQZ"
Content-Disposition: inline
In-Reply-To: <20210404122005.33127-6-me@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: 47593 <at> debbugs.gnu.org, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--3xd3FOxA++hB2WQZ
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sun, Apr 04, 2021 at 03:20:04PM +0300, BonfaceKilz wrote:
> * gnu/packages/python-xyz.scm (python-quicktions): New variable.
>=20
> Co-authored-by: jgart <jgart@HIDDEN>
> ---
>  gnu/packages/python-xyz.scm | 20 ++++++++++++++++++++
>  1 file changed, 20 insertions(+)
>=20
> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
> index 8ecf5dadc2..e87ba6b6b6 100644
> --- a/gnu/packages/python-xyz.scm
> +++ b/gnu/packages/python-xyz.scm
> @@ -24336,3 +24336,23 @@ iGoogle subscription lists.")
>      (description
>       "File support for setuptools declarative setup.cfg")
>      (license license:asl2.0)))
> +
> +(define-public python-quicktions
> +  (package
> +    (name "python-quicktions")
> +    (version "1.11")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (pypi-uri "quicktions" version))
> +       (sha256
> +        (base32
> +         "1px21a6x527i1bsr2p6bbf3jziqpvd1vjkvvzh13gsy4iip0yvzn"))))
> +    (build-system python-build-system)
> +    (home-page
> +     "https://github.com/scoder/quicktions")
> +    (synopsis
> +     "Fast fractions data type for rational numbers. Cythonized version =
of 'fractions.Fraction'.")

I'd trim this to 'Fast fractions data type for rational numbers'

> +    (description
> +     "Fast fractions data type for rational numbers. Cythonized version =
of 'fractions.Fraction'.")

And this I'd change to 'This package provides fast fractions data type
for rational numbers.  It is the cythonized version of
@quote{fractions.Fraction}.'

> +    (license license:psfl)))
> --=20
> 2.31.0
>=20

Speaking of cython, you should add a snippet to the source to remove any
cythionized source and make sure those files get rebuilt during the
build phase. Looking at setup.py it looks like you should remove
src/quictions.c and I think it tries to cythonize automatically.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--3xd3FOxA++hB2WQZ
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmB1mUEACgkQQarn3Mo9
g1G38hAAtm45IzC4Yj3XcsruP1wVkuq9N0p6skuviv4zdbz8MdaQ1EDW43FR1RLP
BbeDfiPGFd04Uae1ESS2kejnYCkpMdTOrZh4YPHk0vqKsgHaa+kMXZL0kAgx0+br
DBm8ozp8bi0K9COs+1v8h8GEe/8cc0irJ+73tylc+BWQxrgH+/oLxL6DiI2sQJck
b++0pHPlroWJJw359b313M7Qad1jdhXPSqCSoMFT42La6yED5h27sNdq7k6vFZvO
wnd7XngtJ8P2LpbId10z5VpKtVkghyk2WdX4AXP9S7nuTmfiWhdisH3vd/Y79t6z
IlZvI4+Qp5qWGlg7VUzj3f6j1AocwsXfqFqWNfqWDgAi5fP6PyUo/BJEdg4KHoZ6
EBcsr//oYu77/l1W2Qi+von7nOGtFuO5sWzFrwj7mESn17y/030qepkUCPzMKTH6
WWt1NECPQh/O+w+eqrMmYJwZ2H9ft65kSFP+ECQyw1uLUFJrMZ2YfYOG+3psaKbD
xfwgcJU5mBbrfX+9sLO6M8W57HiuSwb6Anrg4W9Z9EFv3R+5etuLmBCbYDtAPI00
RxenqnfLuLQHVHXNHkk14rUzv+aTJ58S8+TXybawK9MROoQp5nV9lLf+U1WDXq+Q
Pd8xzD3nIou7nY2BZejPnklfRsKptxI8/6cJeqz+eF/qv0+rmr0=
=psOD
-----END PGP SIGNATURE-----

--3xd3FOxA++hB2WQZ--




Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 13 Apr 2021 13:16:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 13 09:16:37 2021
Received: from localhost ([127.0.0.1]:59306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWIuA-0003xX-43
	for submit <at> debbugs.gnu.org; Tue, 13 Apr 2021 09:16:37 -0400
Received: from flashner.co.il ([178.62.234.194]:55828)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1lWIu8-0003xK-9t
 for 47593 <at> debbugs.gnu.org; Tue, 13 Apr 2021 09:16:33 -0400
Received: from localhost (unknown [31.210.177.71])
 by flashner.co.il (Postfix) with ESMTPSA id 77621405C9;
 Tue, 13 Apr 2021 13:16:26 +0000 (UTC)
Date: Tue, 13 Apr 2021 16:14:48 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: BonfaceKilz <me@HIDDEN>
Subject: Re: [bug#47593] [PATCH 6/6] gnu: python-xyz: Add python-abjad.
Message-ID: <YHWZSBWjs8Xq/8/U@3900XT>
References: <20210404122005.33127-1-me@HIDDEN>
 <20210404122005.33127-7-me@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="V9NhZi7jZW6LbStI"
Content-Disposition: inline
In-Reply-To: <20210404122005.33127-7-me@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: 47593 <at> debbugs.gnu.org, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--V9NhZi7jZW6LbStI
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

I would put this in music.scm near lilypond.

On Sun, Apr 04, 2021 at 03:20:05PM +0300, BonfaceKilz wrote:
> * gnu/packages/python-xyz.scm (python-abjad): New variable.
>=20
> Co-authored-by: jgart <jgart@HIDDEN>
> ---
>  gnu/packages/python-xyz.scm | 52 +++++++++++++++++++++++++++++++++++++
>  1 file changed, 52 insertions(+)
>=20
> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
> index e87ba6b6b6..baa8534d7a 100644
> --- a/gnu/packages/python-xyz.scm
> +++ b/gnu/packages/python-xyz.scm
> @@ -162,6 +162,7 @@
>    #:use-module (gnu packages maths)
>    #:use-module (gnu packages monitoring)
>    #:use-module (gnu packages multiprecision)
> +  #:use-module (gnu packages music)
>    #:use-module (gnu packages networking)
>    #:use-module (gnu packages ncurses)
>    #:use-module (gnu packages openstack)
> @@ -24356,3 +24357,54 @@ iGoogle subscription lists.")
>      (description
>       "Fast fractions data type for rational numbers. Cythonized version =
of 'fractions.Fraction'.")
>      (license license:psfl)))
> +

If this is a package that would be installed then you can change the
name to abjad, no need to keep the python prefix.

> +(define-public python-abjad
> +  (package
> +    (name "python-abjad")
> +    (version "3.3")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri
> +        (string-append
> +         "https://github.com/Abjad/abjad/archive/refs/tags/v"
> +         version ".tar.gz"))

This should be a pypi URI or be downloaded using git-fetch

> +       (sha256
> +        (base32
> +         "0dvj40g8kq1jdp09gb2chxxb7959vxv5h4m8ywg4qigsw3f11xnx"))))
> +    (build-system python-build-system)
> +    (arguments
> +     `(#:phases
> +       (modify-phases %standard-phases
> +         (add-after 'unpack 'patch-source
> +           (lambda _
> +             (substitute* "setup.py"
> +               (("uqbar>=3D0.4.4, <0.5.0") "uqbar>=3D0.4.4, <=3D0.5.1")

I would just take off the <0.5.0 and not try to make it just high enough
to include the version packaged.

> +               (("pytest>=3D5.4.3") "pytest>=3D5.3"))

We also have pytest-6. Of course this is also fine.

> +             #t))
> +         (replace 'check
> +           (lambda _

(lambda* (#:key tests? #:allow-other-keys)
  (when tests?

> +             ;; See: https://stackoverflow.com/a/34140498
> +             (invoke "python" "-m" "pytest" "tests")
> +             #t)))))

I'm sure that not all of these need to be propagated. The source should
be patched to refer to lilypond and I'm guessing most of the rest can
either be inputs (they'll get wrapped with the python wrapper) or
native-inputs if they're only needed for tests.

> +    (propagated-inputs
> +     `(("lilypond" ,lilypond) ;; Required for tests to pass!
> +       ("python-black" ,python-black)
> +       ("python-flake8" ,python-flake8)
> +       ("python-isort" ,python-isort)
> +       ("python-mypy" ,python-mypy)
> +       ("python-ply" ,python-ply)
> +       ("python-pytest" ,python-pytest)
> +       ("python-pytest-cov" ,python-pytest-cov)
> +       ("python-quicktions" ,python-quicktions)
> +       ("python-roman" ,python-roman)
> +       ("python-six" ,python-six)
> +       ("python-sphinx-autodoc-typehints"
> +        ,python-sphinx-autodoc-typehints)
> +       ("python-uqbar" ,python-uqbar)))
> +    (home-page "https://abjad.github.io")
> +    (synopsis
> +     "Abjad is a Python API for building LilyPond files.")

I'd shorten this to "Python API for building LilyPind files"

> +    (description
> +     "Abjad is a Python API for building LilyPond files.")
> +    (license license:expat)))
> --=20
> 2.31.0
>=20
>=20
>=20
>=20

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--V9NhZi7jZW6LbStI
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmB1mUgACgkQQarn3Mo9
g1HAQRAAu5+cc6QisvdCgppqQLKKKoPhr2Eb4aUTioEvc3IuR0JqKJfvMC95nWWb
2HPZzeAML/pNuNhhA/zL69NMQ+xjrCRDmn/Y543DaP1YHDaHOsnGL2Ui17FYZ5Id
Glq7ayTpvvOibuxml20IBqh1nLzTXLxNgQwO3raSjHfthLMccOrogvU94i4uy4Hr
RTHhICi7kdIzDJrEz4m8mPJWnMYgcS0K6QaJEXhZoWW8/VbQqlX9TzHmJeixiWfz
XweRPw1q0T/EWHBv+H+PcKo1sEfLNBSmsJ+UoK+DM5ZslKIbxsoGkBgU864vrODq
SCfx6+n8JOYRYMlItxBwD30AicFqcwZyQpAiHTMwZhFzQ2Yw0m6DiftX7NXtkvM5
13lo7yb0N5fNeKEuIRFfwI1PG2Hdx+rh7YSqvIVmYIsC/3DDyfueKDR7fVdMnlR7
tWMW4b0eimu1DJCBtLWEtRHIz1X8eG+8YwXhAgrZ7OghlVyTTz+p1pLNr/yN+BL0
du80YVlCMC7MKcC4tnmwaBZWgW9BXJNr3ehOXtMw2OuHW1a9qLJcKPmJiigalV3k
TuHBl/U4JtSVWW6npXL/5cNFBBMYHXJTXGGGVxCREv73EztyyBEfZbjOSAcf0riE
7B7f1gM7I+i1kZ8JbqF2gKLGfpm7vhiRWMt5oxj5zaNdVMqWKcA=
=5e7O
-----END PGP SIGNATURE-----

--V9NhZi7jZW6LbStI--




Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 13 Apr 2021 13:16:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 13 09:16:04 2021
Received: from localhost ([127.0.0.1]:59303 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWItf-0003wn-Pf
	for submit <at> debbugs.gnu.org; Tue, 13 Apr 2021 09:16:04 -0400
Received: from flashner.co.il ([178.62.234.194]:55814)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1lWItc-0003w0-F1
 for 47593 <at> debbugs.gnu.org; Tue, 13 Apr 2021 09:16:02 -0400
Received: from localhost (unknown [31.210.177.71])
 by flashner.co.il (Postfix) with ESMTPSA id 3C6A9405C9;
 Tue, 13 Apr 2021 13:15:53 +0000 (UTC)
Date: Tue, 13 Apr 2021 16:14:35 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: BonfaceKilz <me@HIDDEN>
Subject: Re: [bug#47593] [PATCH 4/6] gnu: python-xyz: Add
 python-setuptools-declarative-requirements.
Message-ID: <YHWZO+QiIsFKUcnP@3900XT>
References: <20210404122005.33127-1-me@HIDDEN>
 <20210404122005.33127-5-me@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="rJGt+lxNZOTOloer"
Content-Disposition: inline
In-Reply-To: <20210404122005.33127-5-me@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: 47593 <at> debbugs.gnu.org, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--rJGt+lxNZOTOloer
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

It would be best to put this package definition near the other
python-setuptools-* package definitions.

On Sun, Apr 04, 2021 at 03:20:03PM +0300, BonfaceKilz wrote:
> * gnu/packages/python-xyz.scm (python-setuptools-declarative-requirements=
):
> New variable.
> ---
>  gnu/packages/python-xyz.scm | 28 ++++++++++++++++++++++++++++
>  1 file changed, 28 insertions(+)
>=20
> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
> index 63eecb591f..8ecf5dadc2 100644
> --- a/gnu/packages/python-xyz.scm
> +++ b/gnu/packages/python-xyz.scm
> @@ -24308,3 +24308,31 @@ iGoogle subscription lists.")
>      (description
>       "Tools for building documentation with Sphinx, Graphviz and LaTeX")
>      (license license:expat)))
> +
> +(define-public python-setuptools-declarative-requirements
> +  (package
> +    (name "python-setuptools-declarative-requirements")
> +    (version "1.2.0")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (pypi-uri
> +             "setuptools-declarative-requirements"
> +             version))
> +       (sha256
> +        (base32
> +         "1l8zmcnp9h8sp8hsw7b81djaa1a9yig0y7i4phh5pihqz1gdn7yi"))))
> +    (build-system python-build-system)
> +    (propagated-inputs
> +     `(("python-pytest" ,python-pytest)
> +       ("python-setuptools" ,python-setuptools)
> +       ("python-setuptools-scm" ,python-setuptools-scm)
> +       ("python-toml" ,python-toml)
> +       ("python-wheel" ,python-wheel)))
> +    (home-page
> +     "https://github.com/s0undt3ch/setuptools-declarative-requirements")
> +    (synopsis
> +     "File support for setuptools declarative setup.cfg")
> +    (description
> +     "File support for setuptools declarative setup.cfg")

This should be a full sentence.

> +    (license license:asl2.0)))
> --=20
> 2.31.0
>=20
>=20
>=20
>=20

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--rJGt+lxNZOTOloer
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmB1mTsACgkQQarn3Mo9
g1EAoQ/+OHyRl1B4iFijyN9k0IzGD2v0yPzRAYKua0B7A6gG3nY+AJVnEtWpzTGW
NFzKm2JC5IgofggXPqwXZK20M/kHDOgysx2dT+CFDJyMHhHNggRRbSIns/vPV/wU
MCPurCX6ATENjLe7uYAtK284VqzezHzK5vkXYlWIwopSdfwAuYd4JnMIbMvXSBJB
/5NJXUIrX+5vLmVKyaXAZY4+1Z0612z/B15NxFn2ROEOdvt7ITaKA28MeR1od4Mu
87mo0enX9XYgF2jaCVkMKp1SMyuK9eaSKu8T0FmDeEkOWMhUlCY23c5aDzu19EKu
zIZZmkIqo+LReQ5pj9JVob6fAHgEPadcxV13rl14BVQcCtRx+1HQkibw8nOhtkHi
xp6G900ghznSxWl+jZJ+hxQPFiaHzxdS7IoGk/hmF1URCclqQBrIn9y2qfX1SzLj
zFRenF7sYgTwEtbLEVHFJ2+RgR8iWdclK5De1S93WxZ20BlZ2A0hBiUnbs5djQkH
D5gy3rXji3xYYZI4NcBNVD6kpu1pxBQRsxSsAtIjmKuhS1yjNMRDw7O+wtVs56Xz
ld1wit7yz/P9LVFrmLWcPACevhEDpeVqoZabEvlImR/QRP6bI4MPm2gHRH9E6J1h
5F8WgERieYqwar3kDtA+wZ/QvWIh1dxMqS6dHmFTiYl09nkD3GU=
=Aqb3
-----END PGP SIGNATURE-----

--rJGt+lxNZOTOloer--




Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 13 Apr 2021 13:15:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 13 09:15:36 2021
Received: from localhost ([127.0.0.1]:59296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWIt6-0003vI-R0
	for submit <at> debbugs.gnu.org; Tue, 13 Apr 2021 09:15:36 -0400
Received: from flashner.co.il ([178.62.234.194]:55804)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1lWIt4-0003v4-4u
 for 47593 <at> debbugs.gnu.org; Tue, 13 Apr 2021 09:15:27 -0400
Received: from localhost (unknown [31.210.177.71])
 by flashner.co.il (Postfix) with ESMTPSA id 5BA0D40215;
 Tue, 13 Apr 2021 13:15:20 +0000 (UTC)
Date: Tue, 13 Apr 2021 16:14:28 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: BonfaceKilz <me@HIDDEN>
Subject: Re: [bug#47593] [PATCH 3/6] gnu: python-xyz: Add python-uqbar.
Message-ID: <YHWZNENNZY3ih7P7@3900XT>
References: <20210404122005.33127-1-me@HIDDEN>
 <20210404122005.33127-4-me@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="hRg0JFu6Xabdg4zU"
Content-Disposition: inline
In-Reply-To: <20210404122005.33127-4-me@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: 2.7 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I haven't tried building this package yet. The sphinx
 packages
 are in sphinx.scm and the graphviz packages are in graphviz.scm. I think
 I would put it in graphviz. On Sun, Apr 04, 2021 at 03:20:02PM +0300,
 BonfaceKilz
 wrote: > * gnu/packages/python-xyz.scm (python-uqbar): New variable. > >
 Co-authored-by: jgart <jgart@HIDDEN> > --- > gnu/packages/python-xyz.
 [...] Content analysis details:   (2.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.1 URIBL_SBL_A Contains URL's A record listed in the Spamhaus SBL
 blocklist [URIs: bonfacemunyoki.com]
 0.6 URIBL_SBL Contains an URL's NS IP listed in the Spamhaus SBL
 blocklist [URIs: bonfacemunyoki.com]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: lafreniere.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 47593
Cc: 47593 <at> debbugs.gnu.org, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I haven't tried building this package yet. The sphinx packages
    are in sphinx.scm and the graphviz packages are in graphviz.scm. I think
   I would put it in graphviz. On Sun, Apr 04, 2021 at 03:20:02PM +0300, BonfaceKilz
    wrote: > * gnu/packages/python-xyz.scm (python-uqbar): New variable. > >
   Co-authored-by: jgart <jgart@HIDDEN> > --- > gnu/packages/python-xyz.
   [...] 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.1 URIBL_SBL_A            Contains URL's A record listed in the Spamhaus SBL
                             blocklist
                             [URIs: bonfacemunyoki.com]
  0.6 URIBL_SBL              Contains an URL's NS IP listed in the Spamhaus SBL
                             blocklist
                             [URIs: bonfacemunyoki.com]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: lafreniere.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager


--hRg0JFu6Xabdg4zU
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

I haven't tried building this package yet. The sphinx packages are in
sphinx.scm and the graphviz packages are in graphviz.scm. I think I
would put it in graphviz.

On Sun, Apr 04, 2021 at 03:20:02PM +0300, BonfaceKilz wrote:
> * gnu/packages/python-xyz.scm (python-uqbar): New variable.
>=20
> Co-authored-by: jgart <jgart@HIDDEN>
> ---
>  gnu/packages/python-xyz.scm | 52 ++++++++++++++++++++++++++++++++++++-
>  1 file changed, 51 insertions(+), 1 deletion(-)
>=20
> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
> index b69ea2e32a..63eecb591f 100644
> --- a/gnu/packages/python-xyz.scm
> +++ b/gnu/packages/python-xyz.scm
> @@ -88,7 +88,7 @@
>  ;;; Copyright =C2=A9 2020 Malte Frank Gerdes <malte.f.gerdes@HIDDEN>
>  ;;; Copyright =C2=A9 2020 Joseph LaFreniere <joseph@HIDDEN>
>  ;;; Copyright =C2=A9 2020 Tim Gesthuizen <tim.gesthuizen@HIDDEN>
> -;;; Copyright =C2=A9 2020 Bonface Munyoki Kilyungi <bonfacemunyoki@gmail=
=2Ecom>
> +;;; Copyright =C2=A9 2020, 2021 Bonface Munyoki Kilyungi <me@bonfacemuny=
oki.com>
>  ;;; Copyright =C2=A9 2020 Ekaitz Zarraga <ekaitz@HIDDEN>
>  ;;; Copyright =C2=A9 2020 Diego N. Barbato <dnbarbato@HIDDEN>
>  ;;; Copyright =C2=A9 2020 Leo Prikler <leo.prikler@HIDDEN>
> @@ -24258,3 +24258,53 @@ iGoogle subscription lists.")
>      (description
>       "Small helper library to convert arabic to roman numerals.")
>      (license license:psfl)))
> +
> +(define-public python-uqbar
> +  (package
> +    (name "python-uqbar")
> +    (version "0.5.1")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri
> +        (string-append
> +         "https://github.com/josiah-wolf-oberholtzer/"
> +         "uqbar/archive/refs/tags/v" version ".tar.gz"))

guix lint should've caught this. If the pypi version from 'guix import
ppyi uqbar' doesn't work for building then you should use git-fetch to
download the source. The github archive URLs tend to get regenerated
=66rom time to time.

> +       (sha256
> +        (base32
> +         "02kfvwh94ca0y3hsfrc071ga3g3vqflhyv4w4hif34dyj2skvpa8"))))
> +    (build-system python-build-system)
> +    (arguments
> +     `(#:phases
> +       (modify-phases %standard-phases
> +         (add-after 'unpack 'patch
> +           (lambda _
> +             (substitute* "setup.py"
> +               ;; Latest versions of sphink-rtd-theme require npm to bui=
ld.
> +               (("sphinx-rtd-theme >=3D 0.4.0") "sphinx-rtd-theme >=3D 0=
=2E2.4")
> +               (("black =3D=3D 19.10b0") "black >=3D 19.10b0"))
> +             #t))
> +         (replace 'check
> +           (lambda _
> +             (invoke "python" "-m" "pytest" "tests")

We want the ability to skip the tests, so this should be
(lambda* (#:key tests? #:allow-other-keys)
  (when tests?
    (invoke ...

> +             #t)))))
> +    (propagated-inputs
> +     `(("graphviz" ,graphviz)

Is it possible to substitute the actual calls to the graphviz binaries
in the package? We don't want to have to propagate non-python packages.

> +       ("python-black" ,python-black)
> +       ("python-sphinx" ,python-sphinx)
> +       ("python-sphinx-rtd-theme"
> +        ,python-sphinx-rtd-theme)
> +       ("python-unidecode" ,python-unidecode)))
> +    (native-inputs
> +     `(("python-flake8" ,python-flake8)
> +       ("python-isort" ,python-isort)
> +       ("python-mypy" ,python-mypy)
> +       ("python-pytest" ,python-pytest)
> +       ("python-pytest-cov" ,python-pytest-cov)))
> +    (home-page
> +     "https://github.com/josiah-wolf-oberholtzer/uqbar")
> +    (synopsis
> +     "Tools for building documentation with Sphinx, Graphviz and LaTeX")
> +    (description
> +     "Tools for building documentation with Sphinx, Graphviz and LaTeX")

This should be a full sentence.

> +    (license license:expat)))
> --=20
> 2.31.0
>=20
>=20
>=20
>=20

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--hRg0JFu6Xabdg4zU
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmB1mTQACgkQQarn3Mo9
g1GIeg//WE1Y5NR3g7suowJKvA5XLQRi9/PWabZ7pxkAPSUw2+vxCP3M17a0JE7S
6Cbj+Da5bTXweERqjLuux8MX81qkGmrgMyIDHVnKQhlaSpfm7K1DOpdIRjsZWetm
FKp8NRm5cCwC2SA1PYVClmgJbww3buhO8COAYNZF7lhHBB5+8+sWH+RKJAjWv6Lb
4PLHaynGil+EuS+hDPiIWvPaaik9yq8h16R9GDTokpG1mVHEYlbR2kTi6vNZ7S0c
duEeNkrzpm91MHY6szX4Z+FmLdoI1DC5lrqv+Dyjgdnn086YSnesWNh1HqldyRKA
xPK8zM7hBk9BKOU6cNJ5Mc1mP+S/xaROgEcQTXkY+ElLCHJJLNzUU3p04Z26Gi7l
iDyFhj/ew8aWrJvdDhiaqv58omPLZl4yQwfD5EFQohQIpqcWxPLcFL79VC3M58Q6
As5uWRrwiOBou2K9H4MU2/bxs33+szMXOOJSVCROoG3CwwDtVSeioJAT+wq45R31
y19pMv8FCkBLdtjfGSNvVDXvo1+4H4cHmP6QKI+F60v7BiHJOiNPA7VN2Pxxvs6L
RZGiDNoTZmunyiBTzuV1V3kROTk1bMSqXzGZP9BOBDorNpK+PmdoCdQH5fjZ1pje
mnQm5isbQxLUeiTM7uXvW7pOca5tgt40VHqyz3S20ftqgolsdD4=
=zeik
-----END PGP SIGNATURE-----

--hRg0JFu6Xabdg4zU--




Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 13 Apr 2021 13:14:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 13 09:14:55 2021
Received: from localhost ([127.0.0.1]:59291 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWIsZ-0003tY-H0
	for submit <at> debbugs.gnu.org; Tue, 13 Apr 2021 09:14:55 -0400
Received: from flashner.co.il ([178.62.234.194]:55790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1lWIsY-0003tI-EU
 for 47593 <at> debbugs.gnu.org; Tue, 13 Apr 2021 09:14:55 -0400
Received: from localhost (unknown [31.210.177.71])
 by flashner.co.il (Postfix) with ESMTPSA id D1D9A40215;
 Tue, 13 Apr 2021 13:14:47 +0000 (UTC)
Date: Tue, 13 Apr 2021 16:14:04 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: BonfaceKilz <me@HIDDEN>
Subject: Re: [bug#47593] [PATCH 1/6] gnu: python-xyz: Add python-roman.
Message-ID: <YHWZHF4YaXR/BXLK@3900XT>
References: <20210404122005.33127-1-me@HIDDEN>
 <20210404122005.33127-2-me@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="PCnjZ9OOjWXGwV9p"
Content-Disposition: inline
In-Reply-To: <20210404122005.33127-2-me@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: 47593 <at> debbugs.gnu.org, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--PCnjZ9OOjWXGwV9p
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

As noted elsewhere, it would be better if this weren't added to the
bottom of the module. It increases the chances of merge conflicts.

On Sun, Apr 04, 2021 at 03:20:00PM +0300, BonfaceKilz wrote:
> * gnu/packages/python-xyz.scm (python-roman): New variable.
>=20
> Co-authored-by: jgart <jgart@HIDDEN>
> ---
>  gnu/packages/python-xyz.scm | 19 +++++++++++++++++++
>  1 file changed, 19 insertions(+)
>=20
> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
> index 74aee4a3c2..b69ea2e32a 100644
> --- a/gnu/packages/python-xyz.scm
> +++ b/gnu/packages/python-xyz.scm
> @@ -24239,3 +24239,22 @@ number of words, syllables, and sentences.")
>       "This package provides a Python library that can parse OPML, FOAF, =
and
>  iGoogle subscription lists.")
>      (license license:expat)))
> +
> +(define-public python-roman
> +  (package
> +    (name "python-roman")
> +    (version "3.3")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (pypi-uri "roman" version))
> +       (sha256
> +        (base32
> +         "0gyp2bmw47jgpm8j64gydzqq838bgxz5gh6cm57lxlr7p26sqiic"))))
> +    (build-system python-build-system)
> +    (home-page
> +     "https://github.com/zopefoundation/roman")
> +    (synopsis "Integer to Roman numerals converter")
> +    (description
> +     "Small helper library to convert arabic to roman numerals.")

This package provides a small helper library to convert Arabic Numbers
to Roman Numerals.

> +    (license license:psfl)))
> --=20
> 2.31.0
>=20
>=20
>=20
>=20

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--PCnjZ9OOjWXGwV9p
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmB1mRkACgkQQarn3Mo9
g1EITBAAidwPrsrse7X6aQNHeTk2EEIj5OW84aPYpaQEMBsd9bBxG/b9gUu7uTfD
G34Lni4hQnl8N+V69GJe58P0UcOfRZqLfJHq++1VrDcpidD1zXGeJuuTdwT9t6y1
HgHuHMr3/jvjlZdKi8fHH39eft8+XEqDFYTJOeYEdTN+OB2uLcxeDAfYX7EsfDlf
FMJ6sl3HOc8dZ0L7sTkLecx4TVaffoXgu66u1e/cUlJq2JOKo7oPIyaoPxEmJ8BT
kjcyxfyztKRUicTbqm4KubgguTnpl1J6OWHPgxMmv7DNBmlBwjfx5+HRjT5h5cEv
R328zQJMUHUSQNibwod4DIhZr5pwl/qsjeD2+zs0ECiaJaxl51tm5BLS5lxYCq+x
xRKXEhP04oSlqW3NSFBKK5AH1UI0PuZ3kRNLo8pTAx9z2KfoWZ6xayIFuQh4Y5qC
ErF3KE7FN1QxSqFK+YTjOf5iLqHqNqMu40EhgQwFx76JylMynymmSyKlszQnd+TX
NX9rVx3Ojrf9Yli228ZxDXHK2mO9zDCHysQgNDsbJtrFqxTDXLAIND+tBGu1FUQP
Tk63ienFzrRY93HkRkimy6v4M/6NFJYQjs3aXlNDidCOHpwe/EcovB/1QxxeJacS
ob6Fo0i0g7F8Wy9YmksfeeUxKF8dQTQXNiUTQOjtNnpQvmb3UKU=
=8AP9
-----END PGP SIGNATURE-----

--PCnjZ9OOjWXGwV9p--




Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 4 Apr 2021 12:20:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 04 08:20:51 2021
Received: from localhost ([127.0.0.1]:35038 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lT1kA-0000SU-PG
	for submit <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:20:51 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:42169)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lT1k4-0000Rc-Ao
 for 47593 <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:20:36 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 463275C00B9;
 Sun,  4 Apr 2021 08:20:31 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sun, 04 Apr 2021 08:20:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=from:to:cc:subject:date:message-id
 :in-reply-to:references:mime-version:content-transfer-encoding;
 s=fm1; bh=LhALGgrJIoPAtFTZHIGwNLolG6cbddxNW72BdOvY2Ic=; b=DZauv
 yjmGYjkzRsiv9G1vVSqKvu8DLt2uvZofCWWE7yjjOXo/2/9xlulGNZVctxRv0/Sv
 i3ML4gVcIJAB1cwl6gkvacDX4nSPHBad6rf+3F3xRdyPBplGseXlDOQgBkHNhHyb
 AYTHHdKyqbLKOpRLlBnznydCw4UITps32QW2YeJzp7WJbnemmJaQkQ152VczHdX7
 /cNlsuGp85WTv8nMJSGlvUTBu7ZDsX3gxIFn16V7+RY+e4Pkc3nRHBv/q5MF6bM9
 BSYe8hqZecYXd0ZtT1mptg6HtkbybZUVkb4AWTTGtqUjVrHIQISm/S35wsoLiF95
 7sDdhO/Zgj2nZJurQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:date:from
 :in-reply-to:message-id:mime-version:references:subject:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm2; bh=LhALGgrJIoPAtFTZHIGwNLolG6cbddxNW72BdOvY2Ic=; b=CLpJ4ViX
 rYgjWb5RvW9bJFHE9Wia5DeNxYaWkKUp5nb6W7REI0NSkBkeN5v8syCQRoUoXnR2
 4lNT4XglYkfVq703cWDSqp8ncVDs6RDs6L8RB043Kr5mNDZRyWSyxdMgDkY41Anr
 eINJ/KGl64GH+MsF/yjvwi+OZoikc9+0N/xOWrrE3q4zgS/zbklNcuh4K/cn9lO+
 qugxaeOZ26SPVsDL4p/t8lM5WHPAxOua3aNVAAeDVuzOUSaJOpDHyLYBTeSyDlN6
 zv53ldtCmxfcRtZcC0ukaAapJikE2rOlxADj34l54ZFgtJv4Y5c2AqXPkW9Z8APO
 riR4/B16M3PsKQ==
X-ME-Sender: <xms:D69pYCQHodBDTCZgj27o-ZLN-xq0mH8rS3sWZP2D-9H7CXqJpECLwg>
 <xme:D69pYHx-IJaJGY9NFf_j_iYW3lKTQU08CTvnT7Mk1i6AChG2jhPNPLTGp63-EYWnL
 Mfg0BhV7IB7pFytlWs>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejtddghedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucgoufhushhpvggtthffohhmrghinhculdegledmne
 cujfgurhephffvufffkffojghfggfgsedtkeertdertddtnecuhfhrohhmpeeuohhnfhgr
 tggvmfhilhiiuceomhgvsegsohhnfhgrtggvmhhunhihohhkihdrtghomheqnecuggftrf
 grthhtvghrnhepiefftdduveeikeeftedtffdtiedtvdeileeghfeukeegjeeileehtdfh
 geeuudejnecuffhomhgrihhnpehgihhthhhusgdrtghomhdpshhtrggtkhhovhgvrhhflh
 hofidrtghomhdpghhithhhuhgsrdhiohenucfkphepgedurdektddrkeelrdduiedunecu
 vehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepmhgvsegsoh
 hnfhgrtggvmhhunhihohhkihdrtghomh
X-ME-Proxy: <xmx:D69pYP2aKTcHVa0zFQPNXfvR1Ful_AutWXaPGSFyIgFaaNIiVvfMtQ>
 <xmx:D69pYOC3FWqHbE229Ge5lGTcgLBqm544Ij_dZK69Bx2yJ-D5VB9Blw>
 <xmx:D69pYLhONq1tVblxofrrfYjPmYZksmNON3yd8hEMsf6tb0L2MuqNuQ>
 <xmx:D69pYLI6fqWqJfCAs3xuU4elOWacTW9Aa6EnvoKPyZBPF04tFuh1Ww>
Received: from localhost.localdomain (unknown [41.80.89.161])
 by mail.messagingengine.com (Postfix) with ESMTPA id ACD93240054;
 Sun,  4 Apr 2021 08:20:29 -0400 (EDT)
From: BonfaceKilz <me@HIDDEN>
To: 47593 <at> debbugs.gnu.org
Subject: [PATCH 6/6] gnu: python-xyz: Add python-abjad.
Date: Sun,  4 Apr 2021 15:20:05 +0300
Message-Id: <20210404122005.33127-7-me@HIDDEN>
X-Mailer: git-send-email 2.31.0
In-Reply-To: <20210404122005.33127-1-me@HIDDEN>
References: <20210404122005.33127-1-me@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: BonfaceKilz <me@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

* gnu/packages/python-xyz.scm (python-abjad): New variable.

Co-authored-by: jgart <jgart@HIDDEN>
---
 gnu/packages/python-xyz.scm | 52 +++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index e87ba6b6b6..baa8534d7a 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -162,6 +162,7 @@
   #:use-module (gnu packages maths)
   #:use-module (gnu packages monitoring)
   #:use-module (gnu packages multiprecision)
+  #:use-module (gnu packages music)
   #:use-module (gnu packages networking)
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages openstack)
@@ -24356,3 +24357,54 @@ iGoogle subscription lists.")
     (description
      "Fast fractions data type for rational numbers. Cythonized version of 'fractions.Fraction'.")
     (license license:psfl)))
+
+(define-public python-abjad
+  (package
+    (name "python-abjad")
+    (version "3.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri
+        (string-append
+         "https://github.com/Abjad/abjad/archive/refs/tags/v"
+         version ".tar.gz"))
+       (sha256
+        (base32
+         "0dvj40g8kq1jdp09gb2chxxb7959vxv5h4m8ywg4qigsw3f11xnx"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-source
+           (lambda _
+             (substitute* "setup.py"
+               (("uqbar>=0.4.4, <0.5.0") "uqbar>=0.4.4, <=0.5.1")
+               (("pytest>=5.4.3") "pytest>=5.3"))
+             #t))
+         (replace 'check
+           (lambda _
+             ;; See: https://stackoverflow.com/a/34140498
+             (invoke "python" "-m" "pytest" "tests")
+             #t)))))
+    (propagated-inputs
+     `(("lilypond" ,lilypond) ;; Required for tests to pass!
+       ("python-black" ,python-black)
+       ("python-flake8" ,python-flake8)
+       ("python-isort" ,python-isort)
+       ("python-mypy" ,python-mypy)
+       ("python-ply" ,python-ply)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)
+       ("python-quicktions" ,python-quicktions)
+       ("python-roman" ,python-roman)
+       ("python-six" ,python-six)
+       ("python-sphinx-autodoc-typehints"
+        ,python-sphinx-autodoc-typehints)
+       ("python-uqbar" ,python-uqbar)))
+    (home-page "https://abjad.github.io")
+    (synopsis
+     "Abjad is a Python API for building LilyPond files.")
+    (description
+     "Abjad is a Python API for building LilyPond files.")
+    (license license:expat)))
-- 
2.31.0





Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 4 Apr 2021 12:20:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 04 08:20:42 2021
Received: from localhost ([127.0.0.1]:35036 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lT1kA-0000SN-Ax
	for submit <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:20:42 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:35957)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lT1k2-0000RY-9D
 for 47593 <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:20:34 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 399E15C00B8;
 Sun,  4 Apr 2021 08:20:29 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sun, 04 Apr 2021 08:20:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=from:to:cc:subject:date:message-id
 :in-reply-to:references:mime-version:content-transfer-encoding;
 s=fm1; bh=zU0R6+R4rsJavxz7eE27D+2bUBjAE627kNCoF0CUwi0=; b=oRSzs
 gXmFpEKbysOJP9zvxqoC2SEVLDebzg/w6SLM6ZZBYzRiZHZ2C6vWz6bIKSim+ZL2
 iqjhEF6eKVx0D6yMcP+ODoLOFNSdOVSftBO5UF5aHQFyaohSepg37H8zATYZpLac
 hmn6EdbFHyFd81t4D5PcRcwkqYNX3e3wnV9VpzCHrMnDFku7pyX5vo+N/JjmVwep
 UcEI0LFghvPDrt43ufzJ6YKdZF2fbTukgpRIqx+AnjdB3hLz9lBcH135c5TQI7jz
 FgJVDMY7F8cRFPhflxNzSOAmUz/CxLjC589JaFVV45x41jasPHCtmNcZYNhwCrgt
 ZU2MVrlIstJDG5Gsg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:date:from
 :in-reply-to:message-id:mime-version:references:subject:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm2; bh=zU0R6+R4rsJavxz7eE27D+2bUBjAE627kNCoF0CUwi0=; b=UlTLwoD2
 HHx9jfctR/zJcLDW5fQkktmlEYQya64wjfqp3hIcOnZIXhZ1W1lAyjBiqA0hieAn
 r3ZA+X/xhfdIaDYwxm+MNMS27+EIjzjwdEIP3ysSqLjaKIwM1QJnKnyWbGT6/IpQ
 KDopqkgIitUd9bfkwZjKf0Io5iLQzj1HDxWIGJtGm39soO1WDO8j6A32tdhPbwpr
 nqJbZi+PK1kwLI2FssB53eXJ4R+t6TADEWKTiZwJ/9DUjN36nkyNng7DEMZawPU0
 VbC78hLOKFWhktWbrhtB6O0667RDEHeAuXGjbqJsn4/rYoMCpwAENqm77lqgo4oe
 qQBA8XVMk0ferA==
X-ME-Sender: <xms:Da9pYMCtQss5UBU4yBuCokvehxt5PPfhiscdRqpgyqYE8siVnXcbIg>
 <xme:Da9pYOiWdGinb7hBtR_bBaR7t299KOIeqLdfL4dY8-waY7VnlnIXSXl3kKx7N025w
 fyOmP2yMtEr18fSTYM>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejtddghedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkofgjfhgggfestdekre
 dtredttdenucfhrhhomhepuehonhhfrggtvgfmihhliicuoehmvgessghonhhfrggtvghm
 uhhnhihokhhirdgtohhmqeenucggtffrrghtthgvrhhnpeeilefgteegfeetfefguefhue
 eggfefteduleefkeevtdehtedtgfehffejuefghfenucffohhmrghinhepghhithhhuhgs
 rdgtohhmnecukfhppeeguddrkedtrdekledrudeiudenucevlhhushhtvghrufhiiigvpe
 dvnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmvgessghonhhfrggtvghmuhhnhihokhhi
 rdgtohhm
X-ME-Proxy: <xmx:Da9pYPkIeX5C7dTCyNzhjMLQdgyiN-fcydkTPZLhmqN0373D4Gn2CA>
 <xmx:Da9pYCz0BxDZJiKkMKXzqXIhJ7RZ0Q7f_Jyhjc5FbtnB3ZNfM9ZuTQ>
 <xmx:Da9pYBRDlnUjTwI6PjwvwNavqT35cG-aMiJZDWJIFzcAZFApK0-Q2w>
 <xmx:Da9pYC7sdpX_Y0P815eh1QvfuDam8LTdwDFcVa6O8wvjDzilIdOU7g>
Received: from localhost.localdomain (unknown [41.80.89.161])
 by mail.messagingengine.com (Postfix) with ESMTPA id AB19C240054;
 Sun,  4 Apr 2021 08:20:27 -0400 (EDT)
From: BonfaceKilz <me@HIDDEN>
To: 47593 <at> debbugs.gnu.org
Subject: [PATCH 5/6] gnu: python-xyz: Add python-quicktions.
Date: Sun,  4 Apr 2021 15:20:04 +0300
Message-Id: <20210404122005.33127-6-me@HIDDEN>
X-Mailer: git-send-email 2.31.0
In-Reply-To: <20210404122005.33127-1-me@HIDDEN>
References: <20210404122005.33127-1-me@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: BonfaceKilz <me@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-quicktions): New variable.

Co-authored-by: jgart <jgart@HIDDEN>
---
 gnu/packages/python-xyz.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 8ecf5dadc2..e87ba6b6b6 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -24336,3 +24336,23 @@ iGoogle subscription lists.")
     (description
      "File support for setuptools declarative setup.cfg")
     (license license:asl2.0)))
+
+(define-public python-quicktions
+  (package
+    (name "python-quicktions")
+    (version "1.11")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "quicktions" version))
+       (sha256
+        (base32
+         "1px21a6x527i1bsr2p6bbf3jziqpvd1vjkvvzh13gsy4iip0yvzn"))))
+    (build-system python-build-system)
+    (home-page
+     "https://github.com/scoder/quicktions")
+    (synopsis
+     "Fast fractions data type for rational numbers. Cythonized version of 'fractions.Fraction'.")
+    (description
+     "Fast fractions data type for rational numbers. Cythonized version of 'fractions.Fraction'.")
+    (license license:psfl)))
-- 
2.31.0





Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 4 Apr 2021 12:20:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 04 08:20:42 2021
Received: from localhost ([127.0.0.1]:35031 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lT1k4-0000S9-22
	for submit <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:20:42 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:43723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lT1jx-0000RF-VN
 for 47593 <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:20:34 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id E05AA5C0043;
 Sun,  4 Apr 2021 08:20:24 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sun, 04 Apr 2021 08:20:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=from:to:cc:subject:date:message-id
 :in-reply-to:references:mime-version:content-type
 :content-transfer-encoding; s=fm1; bh=qE3ph3Qgzhu1wzOPE5FzmKSyCe
 cD7d9+HaEaqmIeoAg=; b=KnGldf2fkyKzbsD8bAHBFbmBnpsp3hO1CwqZxqObQ+
 4PswmWPoUex8f3I9ocCMr3iG8im+COUcMVgA5vUDtN7q0WFEiOVdBiA0hyTLtRtU
 BoOJuNlNJfF5Jd0Sq4c+k0omf9uliA1A/A4porXgDkIYnnZYLjugu8fBCwPXVqz2
 mhU5k4I7W6umrwSCIeDhYI0Usqb/s2uMHyZ9k7UpABK6IVKDVAhrH5aqBpnbGtLs
 RDHg7Jm83k9NDHs+yNUqrOT0wBm9SRks3aSOpqBfdYHzbJM13eyecZFub0MYLfr7
 71fczLN1JXflU4DwTMscDKuMN48ctzV+CAilx8GFhd5Q==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm2; bh=qE3ph3Qgzhu1wzOPE5FzmKSyCecD7d9+HaEaqmIeo
 Ag=; b=dJCYJYPi64Ehq9wOopPBItfG6WCvM1RjggGWce98xP3DDMO1A+ZW9F9D5
 sRin6cl0AwI3RcjsKSzInpAFrzgaQiAN9woLt2wASlNTxBlWJiryGetdIVfEUfGB
 Va3Vz1yTjD3NRQtSoQUjJQe2z3XlQiw1lIST3UkX3yf+DsjxI/2DQu4cPUmMDO9e
 pSONiMfAV2oM8v9eWaW9A2KslQ58EA2nAvN0Tq7W1v6X8d2lSE1JWGh4gYnFswhG
 Lp3Ow/VzrjQ4Bg9dWHw6OYA7/yt42rJJ9O4LuLK6f2Avcz50simbW42Y0xWy5VU4
 epB1as9HfCx/2MtWzNsEP6sz9aZ8Q==
X-ME-Sender: <xms:CK9pYPIkDrunyTKnb81jYQoG3hdhpuRDlXkLZdLWMmqM25grpBIPcg>
 <xme:CK9pYDJDRY1En3SiSibs8HhYaXhMt1jdB8IGBDqP7odSMY4r9SpUA3NiM_8fRUSE8
 44TtW5heiSGvXRJNcc>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejtddghedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucgfrhhlucfvnfffucdludegmdenucfjughrpefhvf
 fufffkofgjfhggtgfgsehtkeertdertdejnecuhfhrohhmpeeuohhnfhgrtggvmfhilhii
 uceomhgvsegsohhnfhgrtggvmhhunhihohhkihdrtghomheqnecuggftrfgrthhtvghrnh
 eptedtgffgkedugfeuheduiedvfedukeehtdefgfeufeevveekvdeujeeiueehffeknecu
 ffhomhgrihhnpehgihhthhhusgdrtghomhenucfkphepgedurdektddrkeelrdduiedune
 cuvehluhhsthgvrhfuihiivgepudenucfrrghrrghmpehmrghilhhfrhhomhepmhgvsegs
 ohhnfhgrtggvmhhunhihohhkihdrtghomh
X-ME-Proxy: <xmx:CK9pYHvgVKZ_f5vBemECI_qCYK7aC6ERDppxkAEQJByO4LlYC8a5WA>
 <xmx:CK9pYIaCGfSgiuxRA5S2Vjd-crmcwizJl6HT_NaPR8MUIcGR7glw3Q>
 <xmx:CK9pYGa77J1ie008JKQrayibm_A5bAyJDjXJ6RhYNf1RpW8cOhOgUw>
 <xmx:CK9pYPBxcSdnY7lxkqgt1YpxjMrRGERSE-RwcvySZdx-H3aokh7RmA>
Received: from localhost.localdomain (unknown [41.80.89.161])
 by mail.messagingengine.com (Postfix) with ESMTPA id 45E9524005B;
 Sun,  4 Apr 2021 08:20:22 -0400 (EDT)
From: BonfaceKilz <me@HIDDEN>
To: 47593 <at> debbugs.gnu.org
Subject: [PATCH 3/6] gnu: python-xyz: Add python-uqbar.
Date: Sun,  4 Apr 2021 15:20:02 +0300
Message-Id: <20210404122005.33127-4-me@HIDDEN>
X-Mailer: git-send-email 2.31.0
In-Reply-To: <20210404122005.33127-1-me@HIDDEN>
References: <20210404122005.33127-1-me@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/python-xyz.scm (python-uqbar): New variable.
 Co-authored-by: jgart <jgart@HIDDEN> --- gnu/packages/python-xyz.scm
 | 52 ++++++++++++++++++++++++++++++++++++- 1 file changed, 51 insertions(+),
 1 deletion(-) 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [66.111.4.26 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [66.111.4.26 listed in list.dnswl.org]
 0.1 URIBL_SBL_A Contains URL's A record listed in the Spamhaus SBL
 blocklist [URIs: bonfacemunyoki.com]
 0.6 URIBL_SBL Contains an URL's NS IP listed in the Spamhaus SBL
 blocklist [URIs: bonfacemunyoki.com]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: lafreniere.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 T_SPF_HELO_TEMPERROR   SPF: test of HELO record failed (temperror)
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 47593
Cc: BonfaceKilz <me@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

* gnu/packages/python-xyz.scm (python-uqbar): New variable.

Co-authored-by: jgart <jgart@HIDDEN>
---
 gnu/packages/python-xyz.scm | 52 ++++++++++++++++++++++++++++++++++++-
 1 file changed, 51 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index b69ea2e32a..63eecb591f 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -88,7 +88,7 @@
 ;;; Copyright © 2020 Malte Frank Gerdes <malte.f.gerdes@HIDDEN>
 ;;; Copyright © 2020 Joseph LaFreniere <joseph@HIDDEN>
 ;;; Copyright © 2020 Tim Gesthuizen <tim.gesthuizen@HIDDEN>
-;;; Copyright © 2020 Bonface Munyoki Kilyungi <bonfacemunyoki@HIDDEN>
+;;; Copyright © 2020, 2021 Bonface Munyoki Kilyungi <me@HIDDEN>
 ;;; Copyright © 2020 Ekaitz Zarraga <ekaitz@HIDDEN>
 ;;; Copyright © 2020 Diego N. Barbato <dnbarbato@HIDDEN>
 ;;; Copyright © 2020 Leo Prikler <leo.prikler@HIDDEN>
@@ -24258,3 +24258,53 @@ iGoogle subscription lists.")
     (description
      "Small helper library to convert arabic to roman numerals.")
     (license license:psfl)))
+
+(define-public python-uqbar
+  (package
+    (name "python-uqbar")
+    (version "0.5.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri
+        (string-append
+         "https://github.com/josiah-wolf-oberholtzer/"
+         "uqbar/archive/refs/tags/v" version ".tar.gz"))
+       (sha256
+        (base32
+         "02kfvwh94ca0y3hsfrc071ga3g3vqflhyv4w4hif34dyj2skvpa8"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch
+           (lambda _
+             (substitute* "setup.py"
+               ;; Latest versions of sphink-rtd-theme require npm to build.
+               (("sphinx-rtd-theme >= 0.4.0") "sphinx-rtd-theme >= 0.2.4")
+               (("black == 19.10b0") "black >= 19.10b0"))
+             #t))
+         (replace 'check
+           (lambda _
+             (invoke "python" "-m" "pytest" "tests")
+             #t)))))
+    (propagated-inputs
+     `(("graphviz" ,graphviz)
+       ("python-black" ,python-black)
+       ("python-sphinx" ,python-sphinx)
+       ("python-sphinx-rtd-theme"
+        ,python-sphinx-rtd-theme)
+       ("python-unidecode" ,python-unidecode)))
+    (native-inputs
+     `(("python-flake8" ,python-flake8)
+       ("python-isort" ,python-isort)
+       ("python-mypy" ,python-mypy)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)))
+    (home-page
+     "https://github.com/josiah-wolf-oberholtzer/uqbar")
+    (synopsis
+     "Tools for building documentation with Sphinx, Graphviz and LaTeX")
+    (description
+     "Tools for building documentation with Sphinx, Graphviz and LaTeX")
+    (license license:expat)))
-- 
2.31.0





Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 4 Apr 2021 12:20:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 04 08:20:35 2021
Received: from localhost ([127.0.0.1]:35029 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lT1k2-0000Rx-LH
	for submit <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:20:34 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:59699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lT1k0-0000RQ-96
 for 47593 <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:20:32 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 3798B5C00A2;
 Sun,  4 Apr 2021 08:20:27 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sun, 04 Apr 2021 08:20:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=from:to:cc:subject:date:message-id
 :in-reply-to:references:mime-version:content-transfer-encoding;
 s=fm1; bh=W9SR3dOFCsgEduLjWUAtRrHGcOH1aGvlwq3oNZ4Kreo=; b=t+ywo
 XeOK1bSUmCtJIDEb/OvfnKk0hgoH0dK/LC36nSAxwKM8tmwnpPITzMi5dyuTTHg5
 HQZO73TQuTM+x8bMiucFpBznka0j4MVG+X+utvIQQIMizJnpJCzXSPm22ekT29Gg
 Jr10d3Gb9FZmnvBtR+JtTYBTgh+iC2rPUJj6dxIos3gS35JxokVLRr9kKARrHF/c
 1ARoEE4LotxyUsiEYxQGi3Rr2xPUdiA5t0yFzjf0cdpMAwDCVhbhVQDdTTAOw+pd
 a9O9RLNuwQgJ4mJQFsidGRNi5ECyzjIxdKkcm33fZkt5n3zofCNTFgloAtSA2X0O
 LUGdtnSkJ4paWcGRw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:date:from
 :in-reply-to:message-id:mime-version:references:subject:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm2; bh=W9SR3dOFCsgEduLjWUAtRrHGcOH1aGvlwq3oNZ4Kreo=; b=cy2cVxFv
 p5xTjOGQMTD2jJvIY2P6fn8fPHsuqVwFpSke7A/+RVNWz8vctICr2UglkJZqDTfF
 pblrXjavg1rX44Te7xyHcCAIJyju9V6en5luaRQu6a/bSW1k8tRtSVSNmzNt0tr3
 eximqgiiP1mv1y6DMIYEw2eB7DQIqkf8vb8AG3FnwJeL3Edr1JyFpk0lkqp/r2Pi
 wFpFVnBexjO470ePOCN7yy65frIBiBfGFv9xkspBH5+mj5rjnA4qNzigeJCkpTUQ
 KdcOZgUi5mYiyN0FbrGdxhF3F3Ba7gCFeWcOT9FvDpl1RBEq5vWGeAGrgRMZqNLq
 tifEjGG+0omUqg==
X-ME-Sender: <xms:C69pYJB0OnggWLJnnFoS6s8HZ-_Fz5vR1hpbYkEes3cHPDpMJAlZkw>
 <xme:C69pYHgdU1LDcflKZrbwcU25LkK9w9b46_FNVD0EGLNIhFXECn-ulFlZoRaNtZInE
 EwIJkBuWiCgrmngELE>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejtddghedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkofgjfhgggfestdekre
 dtredttdenucfhrhhomhepuehonhhfrggtvgfmihhliicuoehmvgessghonhhfrggtvghm
 uhhnhihokhhirdgtohhmqeenucggtffrrghtthgvrhhnpeeilefgteegfeetfefguefhue
 eggfefteduleefkeevtdehtedtgfehffejuefghfenucffohhmrghinhepghhithhhuhgs
 rdgtohhmnecukfhppeeguddrkedtrdekledrudeiudenucevlhhushhtvghrufhiiigvpe
 dunecurfgrrhgrmhepmhgrihhlfhhrohhmpehmvgessghonhhfrggtvghmuhhnhihokhhi
 rdgtohhm
X-ME-Proxy: <xmx:C69pYEm03etJZbsywTotcIn-VqdP8h7WVj3Swcdwz0kuztvELrIY1g>
 <xmx:C69pYDzFjmO_CCPJBX5AVFt6qhr3h4bOfl6GUyZY-eCItXEiHOHb0w>
 <xmx:C69pYOSmkcDEcc4upgGalaAq1Zm9gsaOJxzCCn5PAXVv7n6w9lAryg>
 <xmx:C69pYH6xZ6hcuC_1nx0xoh6qM4BwSeV9fEQiMHK5XFE42AFC3qexrA>
Received: from localhost.localdomain (unknown [41.80.89.161])
 by mail.messagingengine.com (Postfix) with ESMTPA id 78645240057;
 Sun,  4 Apr 2021 08:20:25 -0400 (EDT)
From: BonfaceKilz <me@HIDDEN>
To: 47593 <at> debbugs.gnu.org
Subject: [PATCH 4/6] gnu: python-xyz: Add
 python-setuptools-declarative-requirements.
Date: Sun,  4 Apr 2021 15:20:03 +0300
Message-Id: <20210404122005.33127-5-me@HIDDEN>
X-Mailer: git-send-email 2.31.0
In-Reply-To: <20210404122005.33127-1-me@HIDDEN>
References: <20210404122005.33127-1-me@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: BonfaceKilz <me@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-setuptools-declarative-requirements):
New variable.
---
 gnu/packages/python-xyz.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 63eecb591f..8ecf5dadc2 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -24308,3 +24308,31 @@ iGoogle subscription lists.")
     (description
      "Tools for building documentation with Sphinx, Graphviz and LaTeX")
     (license license:expat)))
+
+(define-public python-setuptools-declarative-requirements
+  (package
+    (name "python-setuptools-declarative-requirements")
+    (version "1.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri
+             "setuptools-declarative-requirements"
+             version))
+       (sha256
+        (base32
+         "1l8zmcnp9h8sp8hsw7b81djaa1a9yig0y7i4phh5pihqz1gdn7yi"))))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-pytest" ,python-pytest)
+       ("python-setuptools" ,python-setuptools)
+       ("python-setuptools-scm" ,python-setuptools-scm)
+       ("python-toml" ,python-toml)
+       ("python-wheel" ,python-wheel)))
+    (home-page
+     "https://github.com/s0undt3ch/setuptools-declarative-requirements")
+    (synopsis
+     "File support for setuptools declarative setup.cfg")
+    (description
+     "File support for setuptools declarative setup.cfg")
+    (license license:asl2.0)))
-- 
2.31.0





Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 4 Apr 2021 12:20:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 04 08:20:31 2021
Received: from localhost ([127.0.0.1]:35021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lT1jz-0000Ra-6X
	for submit <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:20:31 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:52295)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lT1jv-0000R6-Rs
 for 47593 <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:20:28 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id C69DD5C00B8;
 Sun,  4 Apr 2021 08:20:22 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sun, 04 Apr 2021 08:20:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=from:to:cc:subject:date:message-id
 :in-reply-to:references:mime-version:content-type
 :content-transfer-encoding; s=fm1; bh=gsj6iuOqg29rpMbZBSYUkq9Ot7
 K48+C3H0wjZDjvLhU=; b=tX03nM/thgWCXWLNKdHfQaHkWTRM4aiGGCBu70sc5z
 REfH+1F5wiiCZEoN+10KsvF+gwmuBWftjFtFbOC33nI69iJOQgKmsJ3xDkHOM7Ul
 hEtENEAA0UxbsOK+RzPT2z+Ggi6jei8LoyV2pEs+cp46+sBOE2ZwJsj9ncvvs3Sr
 G7jh7RpIvY8wsmQ3jvIkg1PT5tW7ZOS8hr11MrMRTP5QMEnV4Sa3/abcd8efihtm
 2HECJvYBL8ovkRnmWM2gMtWs23phO/mM6nZReCg5eCuiL/zd4Vjs371ymYyY/05S
 vDtwKKhZvlDKYfaIpqBuzjKiw9to/C8xm7rt3+KTdxOQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm2; bh=gsj6iuOqg29rpMbZBSYUkq9Ot7K48+C3H0wjZDjvL
 hU=; b=YsZafCE1Dpi1g4mG7xaK3iNRvtgODcdvx+rJZVzKwCQGTOnChae/WLLCt
 O6lLeUfuRUJN2Vckhm2lBbZ/CwG7cSOuKDnXK5wyaTW/3jkX6E+vu0aAeSOaP/Y4
 5CBi7U/cwy88EmOCULPaa2Afi+ITZwFGsejP2xcYlFi8nIj9sMXIaytucXRWmLfS
 MHceuvksJmi13H4kliadSW6ZNv5DW5jhE0TbHL+VGes2AmRWJbY/bFVJ3FFCqNt+
 ePJi+5BKWn4d45qXkcq9CFzsx1HwWfTSjE6HOAWuJZoh7Y2e0vifo+hQAdgnOvIO
 +6IfqTG65s9Lk/PXLUax+4RhDA+2Q==
X-ME-Sender: <xms:Bq9pYMNx4A39BfxwnTLv-ZSvjmAjFQNscUmfLMLozz-6cijHSMZm6A>
 <xme:Bq9pYC--f9BnzhL5E3LqgB1ZgXZqK_vTQMKxhGU0eW4iEkyF0XuD3afaKAFga9ncp
 FnO0G1-JX_P7OLkkzE>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejtddghedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkofgjfhggtgfgsehtke
 ertdertdejnecuhfhrohhmpeeuohhnfhgrtggvmfhilhiiuceomhgvsegsohhnfhgrtggv
 mhhunhihohhkihdrtghomheqnecuggftrfgrthhtvghrnheptedtgffgkedugfeuheduie
 dvfedukeehtdefgfeufeevveekvdeujeeiueehffeknecuffhomhgrihhnpehgihhthhhu
 sgdrtghomhenucfkphepgedurdektddrkeelrdduiedunecuvehluhhsthgvrhfuihiivg
 eptdenucfrrghrrghmpehmrghilhhfrhhomhepmhgvsegsohhnfhgrtggvmhhunhihohhk
 ihdrtghomh
X-ME-Proxy: <xmx:Bq9pYDSM9pc4SJdO4gjU5pIRyBkzY7AKsp-tD-ZFe3Rf9NzV_sFzWA>
 <xmx:Bq9pYEvWw9I0xCNv3HSJFkB1hJH7O1Jsg5wnKOxnFtSMI2ObVL59uA>
 <xmx:Bq9pYEdkUYPk9re12kC3aTsmpXTPynBxJKi2WkKKWxGQCjW1DgRfvg>
 <xmx:Bq9pYMl7rW8hdsy2qssERU5Z1fXl4hASl04yIi0hDavCyXN_HQXfeQ>
Received: from localhost.localdomain (unknown [41.80.89.161])
 by mail.messagingengine.com (Postfix) with ESMTPA id 43D95240054;
 Sun,  4 Apr 2021 08:20:20 -0400 (EDT)
From: BonfaceKilz <me@HIDDEN>
To: 47593 <at> debbugs.gnu.org
Subject: [PATCH 2/6] gnu: python-check: Add python-pytest-helpers-namespace.
Date: Sun,  4 Apr 2021 15:20:01 +0300
Message-Id: <20210404122005.33127-3-me@HIDDEN>
X-Mailer: git-send-email 2.31.0
In-Reply-To: <20210404122005.33127-1-me@HIDDEN>
References: <20210404122005.33127-1-me@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: BonfaceKilz <me@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python-pytest-helpers-namespace): New variable.

Co-authored-by: jgart <jgart@HIDDEN>
---
 gnu/packages/check.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 7c95ea6950..13a57c5201 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -36,6 +36,7 @@
 ;;; Copyright © 2020 Vinicius Monego <monego@HIDDEN>
 ;;; Copyright © 2020 Tanguy Le Carrour <tanguy@HIDDEN>
 ;;; Copyright © 2020 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2021 Bonface Munyoki Kilyungi <me@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -2878,3 +2879,27 @@ system.  The code under test requires no modification to work with pyfakefs.")
     (description "Aiounittest is a library that helps write tests using
 asynchronous code in Python (asyncio).")
     (license license:expat)))
+
+(define-public python-pytest-helpers-namespace
+  (package
+    (name "python-pytest-helpers-namespace")
+    (version "2021.3.24")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pytest-helpers-namespace" version))
+       (sha256
+        (base32
+         "0pyj2d45zagmzlajzqdnkw5yz8k49pkihbydsqkzm413qnkzb38q"))))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-pytest" ,python-pytest)
+       ("python-setuptools-declarative-requirements"
+        ,python-setuptools-declarative-requirements)))
+    (home-page
+     "https://github.com/saltstack/pytest-helpers-namespace")
+    (synopsis "Pytest Helpers Namespace Plugin")
+    (description "Pytest Helpers Namespace Plugin provides a helpers pytest
+namespace which can be used to register helper functions without requiring
+someone to import them in their actual tests to use them.")
+    (license license:asl2.0)))
-- 
2.31.0





Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 4 Apr 2021 12:20:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 04 08:20:26 2021
Received: from localhost ([127.0.0.1]:35013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lT1jt-0000RH-Px
	for submit <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:20:26 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:36075)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lT1js-0000Qo-8H
 for 47593 <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:20:24 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 329135C0043;
 Sun,  4 Apr 2021 08:20:19 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sun, 04 Apr 2021 08:20:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=from:to:cc:subject:date:message-id
 :in-reply-to:references:mime-version:content-transfer-encoding;
 s=fm1; bh=wPEOaTLdI+0YAWVlRzbXW07XqkZuDo7EPcEnLiXhe6w=; b=WoW9A
 AjeAh++Q0IRQWwsJjQR7vDwwrSBEWsvStuV4jNw0U2n8LRwAscNjpUBFu4kFooo5
 PyJJVrvt1gGTh2/jkd+EGPdT/W/acaaP8u9p1UNW593/ufXKsDgGTuXANOQaIGoz
 Wb4C91jQIIGvdk/ohnSq/juRzC4/Tsaj7ygPbsXFfjdfg9Ao6glYN+CFRlCO1l2q
 6wbS1XYVU7nsaQAB0gZ5htKbWWsdNlffgaqUUsUA8ftKMkD7E0TPaaxAFKU8n5u9
 mE832vAvpTcTwO/IWkni9oNfRC3OCrQ0l+LVABL3fqbQ/+ozat6uKHvD0esnKl+0
 YT7VcvqzV0MCYqrLA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:date:from
 :in-reply-to:message-id:mime-version:references:subject:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm2; bh=wPEOaTLdI+0YAWVlRzbXW07XqkZuDo7EPcEnLiXhe6w=; b=qNqgjLs+
 fLEXx3xqfxZw78ycGeAhrUxjE0yuWYKUz23REA65ojN1vWax3Mvws39vn5k/fjM8
 UBSx4C9RmrDESG+oBFTh2xOC0Knucb9nFqVX8YqE2+kNJbzmfnX0CD4E3tSa4Njm
 3iGiXsyGo7VH/ISoXjYw/UNSjPf7ztbKxSIxqqSwp8ayRR3NDFc+Ro3wuYaHTs2Y
 k1ecFtiq5o/aEaq4kwmpLPSbeFKqxx9/OLbaPyfZxOaT3hZKi4Y4NsDiUbK1ZxKo
 sXWX24q7WcDHutR/hvpB12Gfw0T8j52rGoNt5c5ExbLhW4zyZFmTPtpETYjLwT9i
 v5ql1RZhq8Yj9g==
X-ME-Sender: <xms:A69pYM8nZzzjsHpquoQpg12o99FTmgHuc5Idrpgm20YbdySzjQCmTg>
 <xme:A69pYEsJeuI4lGjZS9ymlKx2ebeyOPUwa9vBKHsPlFC1snQH5Os3Yqfq1cAfkoVlS
 u_foEppBjNnsHZx50k>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejtddghedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkofgjfhgggfestdekre
 dtredttdenucfhrhhomhepuehonhhfrggtvgfmihhliicuoehmvgessghonhhfrggtvghm
 uhhnhihokhhirdgtohhmqeenucggtffrrghtthgvrhhnpeeilefgteegfeetfefguefhue
 eggfefteduleefkeevtdehtedtgfehffejuefghfenucffohhmrghinhepghhithhhuhgs
 rdgtohhmnecukfhppeeguddrkedtrdekledrudeiudenucevlhhushhtvghrufhiiigvpe
 dtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmvgessghonhhfrggtvghmuhhnhihokhhi
 rdgtohhm
X-ME-Proxy: <xmx:A69pYCCv06R4_hwcaFlJKHbp4XqNKGTTqbF75fpmqzy_S7M9cDuCZA>
 <xmx:A69pYMe829OjbFj6GkoZJMtocAtA7pmBcD7MB1YGS1OKU08G7CoWuw>
 <xmx:A69pYBPv4XXR888SrBlo1wkpV41VxixnunNO7ZvYlL4SjRcRXAyafQ>
 <xmx:A69pYDWQ-xAIZM2wxBc7cF89Xx_IaFDCq6vZnxoEimGk3WsxfYgiWw>
Received: from localhost.localdomain (unknown [41.80.89.161])
 by mail.messagingengine.com (Postfix) with ESMTPA id A2B3D24005B;
 Sun,  4 Apr 2021 08:20:17 -0400 (EDT)
From: BonfaceKilz <me@HIDDEN>
To: 47593 <at> debbugs.gnu.org
Subject: [PATCH 1/6] gnu: python-xyz: Add python-roman.
Date: Sun,  4 Apr 2021 15:20:00 +0300
Message-Id: <20210404122005.33127-2-me@HIDDEN>
X-Mailer: git-send-email 2.31.0
In-Reply-To: <20210404122005.33127-1-me@HIDDEN>
References: <20210404122005.33127-1-me@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: BonfaceKilz <me@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-roman): New variable.

Co-authored-by: jgart <jgart@HIDDEN>
---
 gnu/packages/python-xyz.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 74aee4a3c2..b69ea2e32a 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -24239,3 +24239,22 @@ number of words, syllables, and sentences.")
      "This package provides a Python library that can parse OPML, FOAF, and
 iGoogle subscription lists.")
     (license license:expat)))
+
+(define-public python-roman
+  (package
+    (name "python-roman")
+    (version "3.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "roman" version))
+       (sha256
+        (base32
+         "0gyp2bmw47jgpm8j64gydzqq838bgxz5gh6cm57lxlr7p26sqiic"))))
+    (build-system python-build-system)
+    (home-page
+     "https://github.com/zopefoundation/roman")
+    (synopsis "Integer to Roman numerals converter")
+    (description
+     "Small helper library to convert arabic to roman numerals.")
+    (license license:psfl)))
-- 
2.31.0





Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at 47593 <at> debbugs.gnu.org:


Received: (at 47593) by debbugs.gnu.org; 4 Apr 2021 12:20:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 04 08:20:20 2021
Received: from localhost ([127.0.0.1]:35008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lT1jo-0000Qv-IC
	for submit <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:20:20 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:55147)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lT1jn-0000Qg-HF
 for 47593 <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:20:20 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 75FFE5C00A2;
 Sun,  4 Apr 2021 08:20:14 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sun, 04 Apr 2021 08:20:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=from:to:cc:subject:date:message-id
 :mime-version:content-transfer-encoding; s=fm1; bh=jJMNH7z2TaWzC
 ETFveOna+7vOd1srS4pjBv7gWvCJWI=; b=oRccXPPaPw1h/O//z78jCWQG22aFd
 tRXZsk51Hn1ctAhS315fSyOhrEItIn4NuDxB6/fbV7/avSYU/HM+3Ax1GPlBOjq1
 qLd1hhUNRx4dFVKMtCGl5JWhKsDneQMnTFgHVPuXwiUwFEO5WacPOlH4VbGOiOnn
 TpCWGGldkMySr276iOKfAikUVLH0unfIW+MPrl2ASazLvv1PPXVZ0uisVqWsRkkY
 nv+KaRtHK6+oQ4UQOO6vf6EJsekNBV4JAWc+zf0iAAID/+vVBJq3X7y26mH2BTXq
 QSPkTC40ft/xd1S2Wi1vs3pFhz3F9dM9MrHCQn8n5vJHuDpXPFQs9uoGw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:date:from
 :message-id:mime-version:subject:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=jJMNH7z2TaWzCETFv
 eOna+7vOd1srS4pjBv7gWvCJWI=; b=qEIrzrWOu/Zd3tg2yO2ouR6LXk0p+tDEq
 mO6vAzxpBaeyKIcjvsmkhfT6p7PY2Ub21YJTd4Q1+wjKVtNGfHrWzZDDQ0EqIBPY
 /P3S79r3f5M8RiOzE5S/HwV9+QqOFS92wEYyNRHRcfeyK2YAyGKe76PJdvm7R6E3
 CJs2Lrikn+fZByhSTOV7tarceOeDQLfqAtwY2ZHJ8tkGJryKwp/U5ZFxaA22Wctl
 aUXu3RowMfhJ0oBz7IxiHRmarlr0DUxEf0ux6PexzjNf28dEgjANsrcCWOBGQzxI
 Uc8BsNOqE3sJ92Q+nJMa/o6wFYgAsWOqX3vz+CqiclE5RdPmEHNcA==
X-ME-Sender: <xms:_q5pYLWnJAjnsoNuOtcK69Pg8PQ31PNCsNnj521LQOMJhOy_FEzV_A>
 <xme:_q5pYDkiGj_rwVBZN4cPmQZmdw5w2PBTMKzvzqRJjhQfgMVnStfsGd5j6ctZ5hrCO
 8kvT0mtRNN5oXXSkJk>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejtddghedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkofgggfestdekredtre
 dttdenucfhrhhomhepuehonhhfrggtvgfmihhliicuoehmvgessghonhhfrggtvghmuhhn
 hihokhhirdgtohhmqeenucggtffrrghtthgvrhhnpeeuueefhfevgfethfdvffelgeekff
 dufeefleehvdefhfegfeevgfegvefgieehvdenucfkphepgedurdektddrkeelrdduiedu
 necuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepmhgvse
 gsohhnfhgrtggvmhhunhihohhkihdrtghomh
X-ME-Proxy: <xmx:_q5pYHYgzEpgRny1pYmApvRpUUahzX0OS4CpldLitpFjXPpztjUJbw>
 <xmx:_q5pYGVCv8O6ZL6XAH7TlwYOrZ8Ncb2MWL_3DIS6UlU61uX26kEAzg>
 <xmx:_q5pYFnHdTUkNd663sy_ga5Vd-GLpxZFpjuU6Wv-qox3a-1ZU3rsxw>
 <xmx:_q5pYEuW1I8Gkb9X7-EY1GTujkv4jpgsvosKlPk7LWCKmoduAXWk1Q>
Received: from localhost.localdomain (unknown [41.80.89.161])
 by mail.messagingengine.com (Postfix) with ESMTPA id 8610024005B;
 Sun,  4 Apr 2021 08:20:12 -0400 (EDT)
From: BonfaceKilz <me@HIDDEN>
To: 47593 <at> debbugs.gnu.org
Subject: [PATCH 0/6] *** Add Python Abjad v3.3 ***
Date: Sun,  4 Apr 2021 15:19:59 +0300
Message-Id: <20210404122005.33127-1-me@HIDDEN>
X-Mailer: git-send-email 2.31.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47593
Cc: BonfaceKilz <me@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi all! This patch set adds Python Abjad and it's deps to guix. Reviews are
welcome!

BonfaceKilz (6):
  gnu: python-xyz: Add python-roman.
  gnu: python-check: Add python-pytest-helpers-namespace.
  gnu: python-xyz: Add python-uqbar.
  gnu: python-xyz: Add python-setuptools-declarative-requirements.
  gnu: python-xyz: Add python-quicktions.
  gnu: python-xyz: Add python-abjad.

 gnu/packages/check.scm      |  25 ++++++
 gnu/packages/python-xyz.scm | 171 +++++++++++++++++++++++++++++++++++-
 2 files changed, 195 insertions(+), 1 deletion(-)

-- 
2.31.0





Information forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Apr 2021 12:16:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 04 08:16:57 2021
Received: from localhost ([127.0.0.1]:35001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lT1gW-0000LW-PL
	for submit <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:16:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:49034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lT1gS-0000LM-Ir
 for submit <at> debbugs.gnu.org; Sun, 04 Apr 2021 08:16:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60096)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>)
 id 1lT1gO-0000T3-Ak
 for guix-patches@HIDDEN; Sun, 04 Apr 2021 08:16:52 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:55415)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>)
 id 1lT1gH-000700-I6
 for guix-patches@HIDDEN; Sun, 04 Apr 2021 08:16:48 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 969585C0043;
 Sun,  4 Apr 2021 08:16:39 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Sun, 04 Apr 2021 08:16:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=from:to:cc:subject:date:message-id
 :mime-version:content-transfer-encoding; s=fm1; bh=jJMNH7z2TaWzC
 ETFveOna+7vOd1srS4pjBv7gWvCJWI=; b=h22eQi5Sc64dFzNFSXjvU0wmAi4j7
 ZUhLAqsFHIeQ36oOsW4v4mLQeVQ3D91yRrtDoCBBdzFrnXtd57E804cuAS3/iBCn
 EIjcrLmHnVB9ba1FBeZSz59/NKvcqCK1wEqqy3UaOfJXTP4Qebo1Jp0eQwRNpXIU
 mPYf1BSitjNr6ZFLQ8kZ2XVYpJqxLkaqMBgDyqmL51Gmr1HhWY4jZSP33mHXLtnY
 nfSJnnQmTMjnLLlJ5/+CgJdrl3LR8+o3jUf89BraSL7GOyerPSYtEMpjLkltoq9M
 gHIkYupQD8AmVv1HPHr7rws997h2UNOgXquWH+3D2Pd3V9MiGTAbDuhhw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:date:from
 :message-id:mime-version:subject:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=jJMNH7z2TaWzCETFv
 eOna+7vOd1srS4pjBv7gWvCJWI=; b=AMD6HeC/v1w+TMYkpb5x3je+Az7NRypgX
 GfGo/6aASZ7GDSMXoQyN0ZUGy6QKCRreMSgnBMExzD2zu+T6dssbKQDywmLj7Odz
 ubWZCrMujhuqtaLBd3MJM1Z30bTWfbkX1jEaG2eeYqJzxU8KiQNYsg8gL57YiIHC
 kZVYXhndVP6C0u412NBNx+HDZ4nopRwEpP3v8J3jwZsvu5LeAiJ4w7HAsNszRzjC
 o3VNhAravy4kmTNqnPYaKgvkzE3KGlwgHh6uDQEAfHlSMWT7ZC0bcfIovOBTYRv8
 bOrxFOsv2cyHr2x35sKg+mQlc81WSKpUdyQgbNDqxjf2/mRYUC8eg==
X-ME-Sender: <xms:J65pYFwKv7Iq9x4WkAqRzZTYtnZ_4X6z9qoAbq-kMWVtbSSH6H3YHA>
 <xme:J65pYFQtbFsLs34n5XL3KSowddIJqj5jWIdwVahHCUd_L88Lds5XmMMy7sBj0JSCi
 JS23F-2S-XDgQq9WCs>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejtddggeelucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkofgggfestdekredtre
 dttdenucfhrhhomhepuehonhhfrggtvgfmihhliicuoehmvgessghonhhfrggtvghmuhhn
 hihokhhirdgtohhmqeenucggtffrrghtthgvrhhnpeeuueefhfevgfethfdvffelgeekff
 dufeefleehvdefhfegfeevgfegvefgieehvdenucfkphepgedurdektddrkeelrdduiedu
 necuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepmhgvse
 gsohhnfhgrtggvmhhunhihohhkihdrtghomh
X-ME-Proxy: <xmx:J65pYPUcmbatq1tZ0RgGfawASgc2aBEv2PTT1MZkxxi-69x-bxT4lw>
 <xmx:J65pYHje9LtJ7KYYpgTEOrS2QIwjjQWPR_-gU9kfj1s6F4d4bGxirg>
 <xmx:J65pYHBNBmrDYAnVyk-zrzogr1OqCTNICYekke94sHYHFFYnjNqgWg>
 <xmx:J65pYKoDbyXN_FTBVaVStr1DmjI8pQ2C9-5oI6TfFOdTqJoEp_4LoQ>
Received: from localhost.localdomain (unknown [41.80.89.161])
 by mail.messagingengine.com (Postfix) with ESMTPA id A95EB1080054;
 Sun,  4 Apr 2021 08:16:37 -0400 (EDT)
From: BonfaceKilz <me@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/6] *** Add Python Abjad v3.3 ***
Date: Sun,  4 Apr 2021 15:16:23 +0300
Message-Id: <20210404121623.32799-1-me@HIDDEN>
X-Mailer: git-send-email 2.31.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=66.111.4.26; envelope-from=me@HIDDEN;
 helo=out2-smtp.messagingengine.com
X-Spam_score_int: -26
X-Spam_score: -2.7
X-Spam_bar: --
X-Spam_report: (-2.7 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 URIBL_SBL_A=0.1 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: BonfaceKilz <me@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)

Hi all! This patch set adds Python Abjad and it's deps to guix. Reviews are
welcome!

BonfaceKilz (6):
  gnu: python-xyz: Add python-roman.
  gnu: python-check: Add python-pytest-helpers-namespace.
  gnu: python-xyz: Add python-uqbar.
  gnu: python-xyz: Add python-setuptools-declarative-requirements.
  gnu: python-xyz: Add python-quicktions.
  gnu: python-xyz: Add python-abjad.

 gnu/packages/check.scm      |  25 ++++++
 gnu/packages/python-xyz.scm | 171 +++++++++++++++++++++++++++++++++++-
 2 files changed, 195 insertions(+), 1 deletion(-)

-- 
2.31.0





Acknowledgement sent to BonfaceKilz <me@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#47593; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 14 Apr 2021 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.